Index: trunk/src/VBox/Additions/WINNT/Graphics/Video/disp/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/Graphics/Video/disp/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/WINNT/Graphics/Video/disp/Makefile.kmk	(revision 98126)
@@ -41,5 +41,5 @@
 #
 SYSMODS += VBoxDisp
-VBoxDisp_TEMPLATE      = VBOXGUESTR0
+VBoxDisp_TEMPLATE      = VBoxGuestR0Drv
 VBoxDisp_SYSSUFF       = .dll
 VBoxDisp_SDKS          = ReorderCompilerIncs $(VBOX_WINDDK_GST_NT4)
Index: trunk/src/VBox/Additions/WINNT/Graphics/Video/mp/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/Graphics/Video/mp/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/WINNT/Graphics/Video/mp/Makefile.kmk	(revision 98126)
@@ -35,5 +35,5 @@
 #
 SYSMODS += VBoxVideo
-VBoxVideo_TEMPLATE      = VBOXGUESTR0
+VBoxVideo_TEMPLATE      = VBoxGuestR0Drv
 VBoxVideo_SDKS          = ReorderCompilerIncs $(VBOX_WINDDK_GST_NT4)
 VBoxVideo_DEFS          = VBOX_XPDM_MINIPORT VBOX_WITH_8BPP_MODES VBOX_USING_$(VBOX_WINDDK_GST_NT4)
@@ -87,5 +87,5 @@
  #
  SYSMODS += VBoxWddm
- VBoxWddm_TEMPLATE         = VBOXGUESTR0
+ VBoxWddm_TEMPLATE         = VBoxGuestR0Drv
  VBoxWddm_SDKS             = $(VBOX_WINDDK_GST_W8)
  VBoxWddm_DEFS            += VBOX_WDDM_MINIPORT VBOX_WITH_WDDM VBOX_WITH_HGCM
Index: trunk/src/VBox/Additions/WINNT/Mouse/NT4/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/Mouse/NT4/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/WINNT/Mouse/NT4/Makefile.kmk	(revision 98126)
@@ -30,5 +30,5 @@
 
 SYSMODS.x86 += VBoxMouseNT
-VBoxMouseNT_TEMPLATE    = VBOXGUESTR0
+VBoxMouseNT_TEMPLATE    = VBoxGuestR0Drv
 VBoxMouseNT_DEFS        = LOG_TO_BACKDOOR RT_WITHOUT_NOCRT_WRAPPERS TARGET_NT3
 VBoxMouseNT_SDKS        = ReorderCompilerIncs $(VBOX_WINDDK_GST_NT4)
Index: trunk/src/VBox/Additions/WINNT/Mouse/NT5/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/Mouse/NT5/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/WINNT/Mouse/NT5/Makefile.kmk	(revision 98126)
@@ -33,5 +33,5 @@
 #
 SYSMODS                += VBoxMouse
-VBoxMouse_TEMPLATE     := VBOXGUESTR0
+VBoxMouse_TEMPLATE     := VBoxGuestR0Drv
 if defined(VBOX_SIGNING_MODE) && defined(VBOX_SIGN_ADDITIONS)
  VBoxMouse_INSTTYPE    := none
Index: trunk/src/VBox/Additions/WINNT/SharedFolders/driver/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/SharedFolders/driver/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/WINNT/SharedFolders/driver/Makefile.kmk	(revision 98126)
@@ -36,5 +36,5 @@
 #
 SYSMODS += VBoxSF
-VBoxSF_TEMPLATE    = VBOXGUESTR0
+VBoxSF_TEMPLATE    = VBoxGuestR0Drv
 VBoxSF_DEFS        = LOG_TO_BACKDOOR VBOX_WITH_HGCM IN_RING0
 #VBoxSF_DEFS       += LOG_ENABLED
Index: trunk/src/VBox/Additions/common/VBoxGuest/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/common/VBoxGuest/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/common/VBoxGuest/Makefile.kmk	(revision 98126)
@@ -47,5 +47,5 @@
  #
  SYSMODS += VBoxGuest
- VBoxGuest_TEMPLATE      = VBOXGUESTR0
+ VBoxGuest_TEMPLATE      = VBoxGuestR0Drv
  VBoxGuest_NAME.freebsd  = vboxguest
  VBoxGuest_NAME.haiku    = vboxguest
@@ -144,5 +144,5 @@
    # use this module to access the guest lib
    SYSMODS += VBoxDev
-   VBoxDev_TEMPLATE      = VBOXGUESTR0
+   VBoxDev_TEMPLATE      = VBoxGuestR0Drv
    VBoxDev_NAME          = vboxdev
    VBoxDev_DEFS          = VBOX_SVN_REV=$(VBOX_SVN_REV) _KERNEL_MODE=1 VBGL_VBOXGUEST VBOX_WITH_HGCM IN_RING0
@@ -176,5 +176,5 @@
 # See above.
 LIBRARIES += VBoxGuestLibOs2Hack
-VBoxGuestLibOs2Hack_TEMPLATE = VBOXGUESTR0LIB
+VBoxGuestLibOs2Hack_TEMPLATE = VBoxGuestR0DrvLib
 VBoxGuestLibOs2Hack_INSTTYPE = none
 VBoxGuestLibOs2Hack_DEFS = $(VBoxGuest_DEFS)
@@ -280,5 +280,5 @@
 #
 INSTALLS.solaris += VBoxGuestLoad
-VBoxGuestLoad_TEMPLATE = VBOXGUESTR0
+VBoxGuestLoad_TEMPLATE = VBoxGuestR0Drv
 VBoxGuestLoad_EXEC_SOURCES = solaris/load.sh
 
Index: trunk/src/VBox/Additions/common/VBoxGuest/lib/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/common/VBoxGuest/lib/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/common/VBoxGuest/lib/Makefile.kmk	(revision 98126)
@@ -69,5 +69,5 @@
 # VBoxGuestR0Lib
 #
-VBoxGuestR0Lib_TEMPLATE     = VBOXGUESTR0LIB
+VBoxGuestR0Lib_TEMPLATE     = VBoxGuestR0DrvLib
 VBoxGuestR0Lib_DEFS         = VBOX_WITH_HGCM \
 	$(if $(VBOX_WITH_DRAG_AND_DROP),VBOX_WITH_DRAG_AND_DROP,) \
@@ -97,5 +97,5 @@
 # VBoxGuestR0LibBase
 #
-VBoxGuestR0LibBase_TEMPLATE = VBOXGUESTR0LIB
+VBoxGuestR0LibBase_TEMPLATE = VBoxGuestR0DrvLib
 VBoxGuestR0LibBase_DEFS     = VBOX_WITH_HGCM VBGL_VBOXGUEST \
 	$(if $(VBOX_WITH_DRAG_AND_DROP),VBOX_WITH_DRAG_AND_DROP,) \
Index: trunk/src/VBox/Additions/darwin/VBoxSF/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/darwin/VBoxSF/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/darwin/VBoxSF/Makefile.kmk	(revision 98126)
@@ -33,5 +33,5 @@
 #
 SYSMODS        += VBoxSF
-VBoxSF_TEMPLATE = VBOXGUESTR0
+VBoxSF_TEMPLATE = VBoxGuestR0Drv
 VBoxSF_INST     = $(INST_ADDITIONS)VBoxSF.kext/Contents/MacOS/
 VBoxSF_DEFS     = VBOX_WITH_HGCM
Index: trunk/src/VBox/Additions/freebsd/drm/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/freebsd/drm/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/freebsd/drm/Makefile.kmk	(revision 98126)
@@ -54,5 +54,5 @@
 # Note! Syntax checking only.
 #
-vboxvideo_drm_TEMPLATE      = VBOXGUESTR0
+vboxvideo_drm_TEMPLATE      = VBoxGuestR0Drv
 vboxvideo_drm_NAME          = vboxvideo
 vboxvideo_drm_DEFS          = VBOX_WITH_HGCM VBOX_SVN_REV=$(VBOX_SVN_REV)
Index: trunk/src/VBox/Additions/freebsd/vboxvfs/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/freebsd/vboxvfs/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/freebsd/vboxvfs/Makefile.kmk	(revision 98126)
@@ -37,5 +37,5 @@
 #
 SYSMODS.freebsd      += vboxvfs
-vboxvfs_TEMPLATE      = VBOXGUESTR0
+vboxvfs_TEMPLATE      = VBoxGuestR0Drv
 vboxvfs_DEFS          = VBOX_WITH_HGCM
 vboxvfs_INCS          = \
Index: trunk/src/VBox/Additions/haiku/SharedFolders/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/haiku/SharedFolders/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/haiku/SharedFolders/Makefile.kmk	(revision 98126)
@@ -71,5 +71,5 @@
 # The DEBUG_HASH* stuff is for CONFIG_DYNAMIC_DEBUG-enabled kernels
 #
-vboxsf_TEMPLATE        = VBOXGUESTR0
+vboxsf_TEMPLATE        = VBoxGuestR0Drv
 vboxsf_DEFS            = \
 	MODULE IN_RT_R0 VBOXGUEST VBOX_WITH_HGCM \
Index: trunk/src/VBox/Additions/haiku/VBoxVideo/driver/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/haiku/VBoxVideo/driver/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/haiku/VBoxVideo/driver/Makefile.kmk	(revision 98126)
@@ -71,5 +71,5 @@
 # The DEBUG_HASH* stuff is for CONFIG_DYNAMIC_DEBUG-enabled kernels
 #
-vboxvideo_TEMPLATE        = VBOXGUESTR0
+vboxvideo_TEMPLATE        = VBoxGuestR0Drv
 vboxvideo_DEFS            = \
 	MODULE IN_RT_R0 VBOXGUEST VBOX_WITH_HGCM \
Index: trunk/src/VBox/Additions/os2/VBoxSF/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/os2/VBoxSF/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/os2/VBoxSF/Makefile.kmk	(revision 98126)
@@ -95,7 +95,7 @@
 #
 TEMPLATE_VBoxR0DrvIFS = Hack to make sure we link a library. IFS must not be physical devices, but DLLs!
-TEMPLATE_VBoxR0DrvIFS_EXTENDS = VBOXGUESTR0
-ifdef VBOX_USE_WATCOM_FOR_OS2
-TEMPLATE_VBoxR0DrvIFS_LDFLAGS = $(subst physdevice,dll, $(TEMPLATE_VBOXGUESTR0_LDFLAGS))
+TEMPLATE_VBoxR0DrvIFS_EXTENDS = VBoxGuestR0Drv
+ifdef VBOX_USE_WATCOM_FOR_OS2
+TEMPLATE_VBoxR0DrvIFS_LDFLAGS = $(subst physdevice,dll, $(TEMPLATE_VBoxGuestR0Drv_LDFLAGS))
 endif
 TEMPLATE_VBoxR0DrvIFS_SYSSUFF = .ifs
Index: trunk/src/VBox/Additions/solaris/DRM/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/DRM/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/solaris/DRM/Makefile.kmk	(revision 98126)
@@ -47,5 +47,5 @@
 #
 SYSMODS.solaris        += vboxvideo
-vboxvideo_TEMPLATE      = VBOXGUESTR0
+vboxvideo_TEMPLATE      = VBoxGuestR0Drv
 vboxvideo_DEFS          = VBOX_WITH_HGCM VBOX_SVN_REV=$(VBOX_SVN_REV)
 vboxvideo_DEPS         += $(VBOX_SVN_REV_KMK)
Index: trunk/src/VBox/Additions/solaris/Mouse/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/Mouse/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/solaris/Mouse/Makefile.kmk	(revision 98126)
@@ -46,5 +46,5 @@
 #
 SYSMODS.solaris     += vboxms
-vboxms_TEMPLATE   = VBOXGUESTR0
+vboxms_TEMPLATE   = VBoxGuestR0Drv
 vboxms_DEFS       = VBOX_WITH_HGCM VBOX_SVN_REV=$(VBOX_SVN_REV)
 vboxms_DEPS      += $(VBOX_SVN_REV_KMK)
Index: trunk/src/VBox/Additions/solaris/SharedFolders/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/Makefile.kmk	(revision 98126)
@@ -46,5 +46,5 @@
 #
 SYSMODS.solaris      += vboxfs
-vboxfs_TEMPLATE      = VBOXGUESTR0
+vboxfs_TEMPLATE      = VBoxGuestR0Drv
 vboxfs_DEFS          = VBOX_WITH_HGCM VBOX_SVN_REV=$(VBOX_SVN_REV)
 vboxfs_DEPS         += $(VBOX_SVN_REV_KMK)
@@ -74,5 +74,5 @@
 #
 SYSMODS.solaris      += vboxfs_s10
-vboxfs_s10_TEMPLATE      = VBOXGUESTR0
+vboxfs_s10_TEMPLATE      = VBoxGuestR0Drv
 vboxfs_s10_DEFS          = VBOX_WITH_HGCM VBOX_VFS_SOLARIS_10U6 VBOX_SVN_REV=$(VBOX_SVN_REV)
 vboxfs_s10_DEPS         += $(VBOX_SVN_REV_KMK)
@@ -106,5 +106,5 @@
 #
 INSTALLS += vboxfsload
-vboxfsload_TEMPLATE = VBOXGUESTR0
+vboxfsload_TEMPLATE = VBoxGuestR0Drv
 vboxfsload_EXEC_SOURCES = loadfs.sh
 
Index: trunk/src/VBox/Additions/solaris/Virtio/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/Virtio/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Additions/solaris/Virtio/Makefile.kmk	(revision 98126)
@@ -47,5 +47,5 @@
 SYSMODS.solaris        += virtionet
 virtionet_NAME.solaris  = virtnet
-virtionet_TEMPLATE      = VBOXGUESTR0
+virtionet_TEMPLATE      = VBoxGuestR0Drv
 ifdef VBOX_WITH_AUTOMATIC_DEFS_QUOTING
  virtionet_DEFS         = VBOX_WITH_HGCM VBOX_SVN_REV=$(VBOX_SVN_REV) VBOX_VERSION_STRING="$(VBOX_VERSION_STRING)"
Index: trunk/src/VBox/GuestHost/HGSMI/Makefile.kmk
===================================================================
--- trunk/src/VBox/GuestHost/HGSMI/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/GuestHost/HGSMI/Makefile.kmk	(revision 98126)
@@ -37,5 +37,5 @@
 ifdef VBOX_WITH_ADDITION_DRIVERS
 LIBRARIES += HGSMIGuestR0Lib
-HGSMIGuestR0Lib_TEMPLATE     = VBOXGUESTR0LIB
+HGSMIGuestR0Lib_TEMPLATE     = VBoxGuestR0DrvLib
 HGSMIGuestR0Lib_DEFS         =
 HGSMIGuestR0Lib_INCS         = $(VBOX_GRAPHICS_INCS)
Index: trunk/src/VBox/Runtime/Makefile.kmk
===================================================================
--- trunk/src/VBox/Runtime/Makefile.kmk	(revision 98125)
+++ trunk/src/VBox/Runtime/Makefile.kmk	(revision 98126)
@@ -4219,5 +4219,5 @@
 #                  made irrelevant even for RuntimeR0Drv).
 #
-RuntimeGuestR0_TEMPLATE  := VBOXGUESTR0LIB
+RuntimeGuestR0_TEMPLATE  := VBoxGuestR0DrvLib
 RuntimeGuestR0_EXTENDS    = RuntimeR0Drv
 RuntimeGuestR0_DEFS.win.x86 = $(RuntimeR0Drv_DEFS.win.x86) IPRT_TARGET_NT4 # The 32-bit version needs to work on NT4 too.