Index: trunk/src/libs/xpcom18a4/python/Makefile.kmk
===================================================================
--- trunk/src/libs/xpcom18a4/python/Makefile.kmk	(revision 98103)
+++ trunk/src/libs/xpcom18a4/python/Makefile.kmk	(revision 98221)
@@ -92,5 +92,5 @@
 # Base Python Client Module - the C++/XPCOM bits (not actually built).
 #
-VBoxPythonBase_TEMPLATE = XPCOM
+VBoxPythonBase_TEMPLATE = XPComDll
 VBoxPythonBase_CXXFLAGS = -Wno-write-strings
 VBoxPythonBase_CXXFLAGS.solaris = $(VBOX_GCC_Wno-unknown-pragmas) # /usr/include/python[23].[75]*/ceval.h:67: warning: ignoring #pragma no_inline(PyEval_EvalFrameEx)
@@ -100,5 +100,5 @@
 	_IMPL_NS_BASE \
 	EXPORT_XPTI_API \
-        EXPORT_XPT_API \
+	EXPORT_XPT_API \
 	VBOX_PYXPCOM \
 	VBOX_WITH_XPCOM \
@@ -140,10 +140,10 @@
 
 # 32-bit base.
-VBoxPythonBase_x86_TEMPLATE = XPCOM-x86
+VBoxPythonBase_x86_TEMPLATE = XPComDll-x86
 VBoxPythonBase_x86_EXTENDS  = VBoxPythonBase
 VBoxPythonBase_x86_DEFS     = MODULE_NAME_SUFFIX=_x86 $(VBoxPythonBase_DEFS)
 VBoxPythonBase_x86_LIBS     = \
 	$(PATH_STAGE_LIB)/VBoxCOM-x86$(VBOX_SUFF_LIB) \
-	$(PATH_STAGE_BIN)/VBoxXPCOM-x86$(VBOX_SUFF_DLL)
+	$(PATH_STAGE_BIN)/VBoxXPComDll-x86$(VBOX_SUFF_DLL)
 
 # 32-bit pymalloc abi variant.
@@ -160,7 +160,7 @@
 VBoxPython2_6_EXTENDS_BY = appending
  ifdef KMK_WITH_VERSION_COMPARE
-VBoxPython2_6_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.6",OSX106,)
+VBoxPython2_6_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.6",OSX106,)
  else
-VBoxPython2_6_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.6",OSX106,)
+VBoxPython2_6_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.6",OSX106,)
  endif
 VBoxPython2_6_INCS       = $(VBOX_PYTHON26_INC)
@@ -173,7 +173,7 @@
 VBoxPython2_6_x86_EXTENDS_BY = appending
    ifdef KMK_WITH_VERSION_COMPARE
-VBoxPython2_6_x86_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.6",OSX106,-x86)
+VBoxPython2_6_x86_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.6",OSX106,-x86)
    else
-VBoxPython2_6_x86_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.6",OSX106,-x86)
+VBoxPython2_6_x86_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.6",OSX106,-x86)
    endif
 VBoxPython2_6_x86_INCS       = $(VBOX_PYTHON26_INC)
@@ -191,7 +191,7 @@
 VBoxPython2_7_EXTENDS_BY = appending
  ifdef KMK_WITH_VERSION_COMPARE
-VBoxPython2_7_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.7",OSX107,)
+VBoxPython2_7_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.7",OSX107,)
  else
-VBoxPython2_7_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.7" && "$(length-var VBOX_DEF_MACOSX_VERSION_MIN)" == "4",OSX107,)
+VBoxPython2_7_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.7" && "$(length-var VBOX_DEF_MACOSX_VERSION_MIN)" == "4",OSX107,)
  endif
 VBoxPython2_7_INCS       = $(VBOX_PYTHON27_INC)
@@ -204,7 +204,7 @@
 VBoxPython2_7_x86_EXTENDS_BY = appending
    ifdef KMK_WITH_VERSION_COMPARE
-VBoxPython2_7_x86_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.7",OSX107,-x86)
+VBoxPython2_7_x86_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.7",OSX107,-x86)
    else
-VBoxPython2_7_x86_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.7" && "$(length-var VBOX_DEF_MACOSX_VERSION_MIN)" == "4",OSX107,-x86)
+VBoxPython2_7_x86_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.7" && "$(length-var VBOX_DEF_MACOSX_VERSION_MIN)" == "4",OSX107,-x86)
    endif
 VBoxPython2_7_x86_INCS       = $(VBOX_PYTHON27_INC)
@@ -223,7 +223,7 @@
 VBoxPython2_DEFS       = VBOX_PYXPCOM_MAJOR_VERSIONED
   ifdef KMK_WITH_VERSION_COMPARE
-VBoxPython2_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.7",OSX107,)
+VBoxPython2_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.7",OSX107,)
   else
-VBoxPython2_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.7" && "$(length-var VBOX_DEF_MACOSX_VERSION_MIN)" == "4",OSX107,)
+VBoxPython2_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.7" && "$(length-var VBOX_DEF_MACOSX_VERSION_MIN)" == "4",OSX107,)
   endif
   if defined(VBOX_PYTHON26_INC)
@@ -246,7 +246,7 @@
 VBoxPython2_x86_DEFS       = VBOX_PYXPCOM_MAJOR_VERSIONED $(VBoxPythonBase_x86_DEFS)
   ifdef KMK_WITH_VERSION_COMPARE
-VBoxPython2_x86_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.7",OSX107,-x86)
+VBoxPython2_x86_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" vle "10.7",OSX107,-x86)
   else
-VBoxPython2_x86_TEMPLATE   = XPCOM$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.7" && "$(length-var VBOX_DEF_MACOSX_VERSION_MIN)" == "4",OSX107,-x86)
+VBoxPython2_x86_TEMPLATE   = XPComDll$(if-expr "$(KBUILD_TARGET)" == "darwin" && "$(VBOX_DEF_MACOSX_VERSION_MIN)" <= "10.7" && "$(length-var VBOX_DEF_MACOSX_VERSION_MIN)" == "4",OSX107,-x86)
   endif
   if defined(VBOX_PYTHON26LIB_X86)
@@ -271,5 +271,5 @@
 VBoxPython3_1_EXTENDS    = VBoxPythonBase
 VBoxPython3_1_EXTENDS_BY = appending
-VBoxPython3_1_TEMPLATE   = XPCOM
+VBoxPython3_1_TEMPLATE   = XPComDll
 VBoxPython3_1_INCS       = $(VBOX_PYTHON31_INC)
 VBoxPython3_1_LIBS       = $(VBOX_PYTHON31_LIB)
@@ -280,5 +280,5 @@
 VBoxPython3_1_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_1_x86_EXTENDS_BY = appending
-VBoxPython3_1_x86_TEMPLATE   = XPCOM
+VBoxPython3_1_x86_TEMPLATE   = XPComDll
 VBoxPython3_1_x86_INCS       = $(VBOX_PYTHON31_INC)
 VBoxPython3_1_x86_LIBS       = $(VBOX_PYTHON31_LIB_X86)
@@ -294,5 +294,5 @@
 VBoxPython3_2_EXTENDS    = VBoxPythonBase
 VBoxPython3_2_EXTENDS_BY = appending
-VBoxPython3_2_TEMPLATE   = XPCOM
+VBoxPython3_2_TEMPLATE   = XPComDll
 VBoxPython3_2_INCS       = $(VBOX_PYTHON32_INC)
 VBoxPython3_2_LIBS       = $(VBOX_PYTHON32_LIB)
@@ -303,5 +303,5 @@
 VBoxPython3_2_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_2_x86_EXTENDS_BY = appending
-VBoxPython3_2_x86_TEMPLATE   = XPCOM
+VBoxPython3_2_x86_TEMPLATE   = XPComDll
 VBoxPython3_2_x86_INCS       = $(VBOX_PYTHON32_INC)
 VBoxPython3_2_x86_LIBS       = $(VBOX_PYTHON32_LIB_X86)
@@ -317,5 +317,5 @@
 VBoxPython3_2m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_2m_EXTENDS_BY = appending
-VBoxPython3_2m_TEMPLATE   = XPCOM
+VBoxPython3_2m_TEMPLATE   = XPComDll
 VBoxPython3_2m_INCS       = $(VBOX_PYTHON32M_INC)
 VBoxPython3_2m_LIBS       = $(VBOX_PYTHON32M_LIB)
@@ -327,5 +327,5 @@
 VBoxPython3_2m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_2m_x86_EXTENDS_BY = appending
-VBoxPython3_2m_x86_TEMPLATE   = XPCOM
+VBoxPython3_2m_x86_TEMPLATE   = XPComDll
 VBoxPython3_2m_x86_INCS       = $(VBOX_PYTHON32M_INC)
 VBoxPython3_2m_x86_LIBS       = $(VBOX_PYTHON32M_LIB_X86)
@@ -343,5 +343,5 @@
 VBoxPython3_3_EXTENDS    = VBoxPythonBase
 VBoxPython3_3_EXTENDS_BY = appending
-VBoxPython3_3_TEMPLATE   = XPCOM
+VBoxPython3_3_TEMPLATE   = XPComDll
 VBoxPython3_3_INCS       = $(VBOX_PYTHON33_INC)
 VBoxPython3_3_LIBS       = $(VBOX_PYTHON33_LIB)
@@ -352,5 +352,5 @@
 VBoxPython3_3_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_3_x86_EXTENDS_BY = appending
-VBoxPython3_3_x86_TEMPLATE   = XPCOM
+VBoxPython3_3_x86_TEMPLATE   = XPComDll
 VBoxPython3_3_x86_INCS       = $(VBOX_PYTHON33_INC)
 VBoxPython3_3_x86_LIBS       = $(VBOX_PYTHON33_LIB_X86)
@@ -366,5 +366,5 @@
 VBoxPython3_3m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_3m_EXTENDS_BY = appending
-VBoxPython3_3m_TEMPLATE   = XPCOM
+VBoxPython3_3m_TEMPLATE   = XPComDll
 VBoxPython3_3m_INCS       = $(VBOX_PYTHON33M_INC)
 VBoxPython3_3m_LIBS       = $(VBOX_PYTHON33M_LIB)
@@ -375,5 +375,5 @@
 VBoxPython3_3m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_3m_x86_EXTENDS_BY = appending
-VBoxPython3_3m_x86_TEMPLATE   = XPCOM
+VBoxPython3_3m_x86_TEMPLATE   = XPComDll
 VBoxPython3_3m_x86_INCS       = $(VBOX_PYTHON33M_INC)
 VBoxPython3_3m_x86_LIBS       = $(VBOX_PYTHON33M_LIB_X86)
@@ -389,5 +389,5 @@
 VBoxPython3_4_EXTENDS    = VBoxPythonBase
 VBoxPython3_4_EXTENDS_BY = appending
-VBoxPython3_4_TEMPLATE   = XPCOM
+VBoxPython3_4_TEMPLATE   = XPComDll
 VBoxPython3_4_INCS       = $(VBOX_PYTHON34_INC)
 VBoxPython3_4_LIBS       = $(VBOX_PYTHON34_LIB)
@@ -398,5 +398,5 @@
 VBoxPython3_4_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_4_x86_EXTENDS_BY = appending
-VBoxPython3_4_x86_TEMPLATE   = XPCOM
+VBoxPython3_4_x86_TEMPLATE   = XPComDll
 VBoxPython3_4_x86_INCS       = $(VBOX_PYTHON34_INC)
 VBoxPython3_4_x86_LIBS       = $(VBOX_PYTHON34_LIB_X86)
@@ -412,5 +412,5 @@
 VBoxPython3_4m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_4m_EXTENDS_BY = appending
-VBoxPython3_4m_TEMPLATE   = XPCOM
+VBoxPython3_4m_TEMPLATE   = XPComDll
 VBoxPython3_4m_INCS       = $(VBOX_PYTHON34M_INC)
 VBoxPython3_4m_LIBS       = $(VBOX_PYTHON34M_LIB)
@@ -421,5 +421,5 @@
 VBoxPython3_4m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_4m_x86_EXTENDS_BY = appending
-VBoxPython3_4m_x86_TEMPLATE   = XPCOM
+VBoxPython3_4m_x86_TEMPLATE   = XPComDll
 VBoxPython3_4m_x86_INCS       = $(VBOX_PYTHON34M_INC)
 VBoxPython3_4m_x86_LIBS       = $(VBOX_PYTHON34M_LIB_X86)
@@ -435,5 +435,5 @@
 VBoxPython3_5_EXTENDS    = VBoxPythonBase
 VBoxPython3_5_EXTENDS_BY = appending
-VBoxPython3_5_TEMPLATE   = XPCOM
+VBoxPython3_5_TEMPLATE   = XPComDll
 VBoxPython3_5_INCS       = $(VBOX_PYTHON35_INC)
 VBoxPython3_5_LIBS       = $(VBOX_PYTHON35_LIB)
@@ -444,5 +444,5 @@
 VBoxPython3_5_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_5_x86_EXTENDS_BY = appending
-VBoxPython3_5_x86_TEMPLATE   = XPCOM
+VBoxPython3_5_x86_TEMPLATE   = XPComDll
 VBoxPython3_5_x86_INCS       = $(VBOX_PYTHON35_INC)
 VBoxPython3_5_x86_LIBS       = $(VBOX_PYTHON35_LIB_X86)
@@ -458,5 +458,5 @@
 VBoxPython3_5m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_5m_EXTENDS_BY = appending
-VBoxPython3_5m_TEMPLATE   = XPCOM
+VBoxPython3_5m_TEMPLATE   = XPComDll
 VBoxPython3_5m_INCS       = $(VBOX_PYTHON35M_INC)
 VBoxPython3_5m_LIBS       = $(VBOX_PYTHON35M_LIB)
@@ -467,5 +467,5 @@
 VBoxPython3_5m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_5m_x86_EXTENDS_BY = appending
-VBoxPython3_5m_x86_TEMPLATE   = XPCOM
+VBoxPython3_5m_x86_TEMPLATE   = XPComDll
 VBoxPython3_5m_x86_INCS       = $(VBOX_PYTHON35M_INC)
 VBoxPython3_5m_x86_LIBS       = $(VBOX_PYTHON35M_LIB_X86)
@@ -481,5 +481,5 @@
 VBoxPython3_6_EXTENDS    = VBoxPythonBase
 VBoxPython3_6_EXTENDS_BY = appending
-VBoxPython3_6_TEMPLATE   = XPCOM
+VBoxPython3_6_TEMPLATE   = XPComDll
 VBoxPython3_6_INCS       = $(VBOX_PYTHON36_INC)
 VBoxPython3_6_LIBS       = $(VBOX_PYTHON36_LIB)
@@ -490,5 +490,5 @@
 VBoxPython3_6_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_6_x86_EXTENDS_BY = appending
-VBoxPython3_6_x86_TEMPLATE   = XPCOM
+VBoxPython3_6_x86_TEMPLATE   = XPComDll
 VBoxPython3_6_x86_INCS       = $(VBOX_PYTHON36_INC)
 VBoxPython3_6_x86_LIBS       = $(VBOX_PYTHON36_LIB_X86)
@@ -504,5 +504,5 @@
 VBoxPython3_6m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_6m_EXTENDS_BY = appending
-VBoxPython3_6m_TEMPLATE   = XPCOM
+VBoxPython3_6m_TEMPLATE   = XPComDll
 VBoxPython3_6m_INCS       = $(VBOX_PYTHON36M_INC)
 VBoxPython3_6m_LIBS       = $(VBOX_PYTHON36M_LIB)
@@ -513,5 +513,5 @@
 VBoxPython3_6m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_6m_x86_EXTENDS_BY = appending
-VBoxPython3_6m_x86_TEMPLATE   = XPCOM
+VBoxPython3_6m_x86_TEMPLATE   = XPComDll
 VBoxPython3_6m_x86_INCS       = $(VBOX_PYTHON36M_INC)
 VBoxPython3_6m_x86_LIBS       = $(VBOX_PYTHON36M_LIB_X86)
@@ -527,5 +527,5 @@
 VBoxPython3_7_EXTENDS    = VBoxPythonBase
 VBoxPython3_7_EXTENDS_BY = appending
-VBoxPython3_7_TEMPLATE   = XPCOM
+VBoxPython3_7_TEMPLATE   = XPComDll
 VBoxPython3_7_INCS       = $(VBOX_PYTHON37_INC)
 VBoxPython3_7_LIBS       = $(VBOX_PYTHON37_LIB)
@@ -536,5 +536,5 @@
 VBoxPython3_7_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_7_x86_EXTENDS_BY = appending
-VBoxPython3_7_x86_TEMPLATE   = XPCOM
+VBoxPython3_7_x86_TEMPLATE   = XPComDll
 VBoxPython3_7_x86_INCS       = $(VBOX_PYTHON37_INC)
 VBoxPython3_7_x86_LIBS       = $(VBOX_PYTHON37_LIB_X86)
@@ -550,5 +550,5 @@
 VBoxPython3_7m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_7m_EXTENDS_BY = appending
-VBoxPython3_7m_TEMPLATE   = XPCOM
+VBoxPython3_7m_TEMPLATE   = XPComDll
 VBoxPython3_7m_INCS       = $(VBOX_PYTHON37M_INC)
 VBoxPython3_7m_LIBS       = $(VBOX_PYTHON37M_LIB)
@@ -559,5 +559,5 @@
 VBoxPython3_7m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_7m_x86_EXTENDS_BY = appending
-VBoxPython3_7m_x86_TEMPLATE_   = XPCOM
+VBoxPython3_7m_x86_TEMPLATE_   = XPComDll
 VBoxPython3_7m_x86_INCS       = $(VBOX_PYTHON37M_INC)
 VBoxPython3_7m_x86_LIBS       = $(VBOX_PYTHON37M_LIB_X86)
@@ -573,5 +573,5 @@
 VBoxPython3_8_EXTENDS    = VBoxPythonBase
 VBoxPython3_8_EXTENDS_BY = appending
-VBoxPython3_8_TEMPLATE   = XPCOM
+VBoxPython3_8_TEMPLATE   = XPComDll
 VBoxPython3_8_INCS       = $(VBOX_PYTHON38_INC)
 VBoxPython3_8_LIBS       = $(VBOX_PYTHON38_LIB)
@@ -582,5 +582,5 @@
 VBoxPython3_8_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_8_x86_EXTENDS_BY = appending
-VBoxPython3_8_x86_TEMPLATE   = XPCOM
+VBoxPython3_8_x86_TEMPLATE   = XPComDll
 VBoxPython3_8_x86_INCS       = $(VBOX_PYTHON38_INC)
 VBoxPython3_8_x86_LIBS       = $(VBOX_PYTHON38_LIB_X86)
@@ -596,5 +596,5 @@
 VBoxPython3_8m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_8m_EXTENDS_BY = appending
-VBoxPython3_8m_TEMPLATE   = XPCOM
+VBoxPython3_8m_TEMPLATE   = XPComDll
 VBoxPython3_8m_INCS       = $(VBOX_PYTHON38M_INC)
 VBoxPython3_8m_LIBS       = $(VBOX_PYTHON38M_LIB)
@@ -605,5 +605,5 @@
 VBoxPython3_8m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_8m_x86_EXTENDS_BY = appending
-VBoxPython3_8m_x86_TEMPLATE_   = XPCOM
+VBoxPython3_8m_x86_TEMPLATE_   = XPComDll
 VBoxPython3_8m_x86_INCS       = $(VBOX_PYTHON38M_INC)
 VBoxPython3_8m_x86_LIBS       = $(VBOX_PYTHON38M_LIB_X86)
@@ -619,5 +619,5 @@
 VBoxPython3_9_EXTENDS    = VBoxPythonBase
 VBoxPython3_9_EXTENDS_BY = appending
-VBoxPython3_9_TEMPLATE   = XPCOM
+VBoxPython3_9_TEMPLATE   = XPComDll
 VBoxPython3_9_INCS       = $(VBOX_PYTHON39_INC)
 VBoxPython3_9_LIBS       = $(VBOX_PYTHON39_LIB)
@@ -628,5 +628,5 @@
 VBoxPython3_9_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_9_x86_EXTENDS_BY = appending
-VBoxPython3_9_x86_TEMPLATE   = XPCOM
+VBoxPython3_9_x86_TEMPLATE   = XPComDll
 VBoxPython3_9_x86_INCS       = $(VBOX_PYTHON39_INC)
 VBoxPython3_9_x86_LIBS       = $(VBOX_PYTHON39_LIB_X86)
@@ -642,5 +642,5 @@
 VBoxPython3_9m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_9m_EXTENDS_BY = appending
-VBoxPython3_9m_TEMPLATE   = XPCOM
+VBoxPython3_9m_TEMPLATE   = XPComDll
 VBoxPython3_9m_INCS       = $(VBOX_PYTHON39M_INC)
 VBoxPython3_9m_LIBS       = $(VBOX_PYTHON39M_LIB)
@@ -651,5 +651,5 @@
 VBoxPython3_9m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_9m_x86_EXTENDS_BY = appending
-VBoxPython3_9m_x86_TEMPLATE_   = XPCOM
+VBoxPython3_9m_x86_TEMPLATE_   = XPComDll
 VBoxPython3_9m_x86_INCS       = $(VBOX_PYTHON39M_INC)
 VBoxPython3_9m_x86_LIBS       = $(VBOX_PYTHON39M_LIB_X86)
@@ -665,5 +665,5 @@
 VBoxPython3_10_EXTENDS    = VBoxPythonBase
 VBoxPython3_10_EXTENDS_BY = appending
-VBoxPython3_10_TEMPLATE   = XPCOM
+VBoxPython3_10_TEMPLATE   = XPComDll
 VBoxPython3_10_INCS       = $(VBOX_PYTHON310_INC)
 VBoxPython3_10_LIBS       = $(VBOX_PYTHON310_LIB)
@@ -674,5 +674,5 @@
 VBoxPython3_10_x86_EXTENDS    = VBoxPythonBase_x86
 VBoxPython3_10_x86_EXTENDS_BY = appending
-VBoxPython3_10_x86_TEMPLATE   = XPCOM
+VBoxPython3_10_x86_TEMPLATE   = XPComDll
 VBoxPython3_10_x86_INCS       = $(VBOX_PYTHON310_INC)
 VBoxPython3_10_x86_LIBS       = $(VBOX_PYTHON310_LIB_X86)
@@ -688,5 +688,5 @@
 VBoxPython3_10m_EXTENDS    = VBoxPythonBase_m
 VBoxPython3_10m_EXTENDS_BY = appending
-VBoxPython3_10m_TEMPLATE   = XPCOM
+VBoxPython3_10m_TEMPLATE   = XPComDll
 VBoxPython3_10m_INCS       = $(VBOX_PYTHON310M_INC)
 VBoxPython3_10m_LIBS       = $(VBOX_PYTHON310M_LIB)
@@ -697,5 +697,5 @@
 VBoxPython3_10m_x86_EXTENDS    = VBoxPythonBase_x86_m
 VBoxPython3_10m_x86_EXTENDS_BY = appending
-VBoxPython3_10m_x86_TEMPLATE_  = XPCOM
+VBoxPython3_10m_x86_TEMPLATE_  = XPComDll
 VBoxPython3_10m_x86_INCS       = $(VBOX_PYTHON310M_INC)
 VBoxPython3_10m_x86_LIBS       = $(VBOX_PYTHON310M_LIB_X86)