Index: trunk/src/VBox/Additions/os2/Config.kmk
===================================================================
--- trunk/src/VBox/Additions/os2/Config.kmk	(revision 98198)
+++ trunk/src/VBox/Additions/os2/Config.kmk	(revision 98232)
@@ -47,41 +47,41 @@
 # Template for VAC308 Gradd stuff.
 #
-TEMPLATE_VBOXOS2VAC308 = Template for VisualAge for C++ v3.08 / Gradd
-TEMPLATE_VBOXOS2VAC308_TOOL    = VAC308
-TEMPLATE_VBOXOS2VAC308_ASTOOL  = ALP
-TEMPLATE_VBOXOS2VAC308_ARTOOL  = GCC3OMF
-TEMPLATE_VBOXOS2VAC308_INST    = $(INST_ADDITIONS)
-TEMPLATE_VBOXOS2VAC308_DEFS    =  RT_OS_OS2 IN_RING3 ## @todo IN_GUEST IN_GUEST_R3 IN_RT_R3
+TEMPLATE_VBoxOs2Vac308 = Template for VisualAge for C++ v3.08 / Gradd
+TEMPLATE_VBoxOs2Vac308_TOOL    = VAC308
+TEMPLATE_VBoxOs2Vac308_ASTOOL  = ALP
+TEMPLATE_VBoxOs2Vac308_ARTOOL  = GCC3OMF
+TEMPLATE_VBoxOs2Vac308_INST    = $(INST_ADDITIONS)
+TEMPLATE_VBoxOs2Vac308_DEFS    =  RT_OS_OS2 IN_RING3 ## @todo IN_GUEST IN_GUEST_R3 IN_RT_R3
 
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Gn+               # Do not generate default libraries in object.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Gr+               # Allow object code to run at ring 0.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Rn                # Produce code to run with no runtime environment.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Sp1               # Pack aggregate members on 1 byte alignment.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Tm-               # No debug memory management.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Q+                # Suppress the logo. (in VAC308.kmk?)
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /C+                # Perform compile only, no link. (in VAC308.kmk?)
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Ss+               # Allow the double slash (//) format to be used for comments. (C only)
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /G5                # Generate code optimized for use on a Pentium processor.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Ti+               # Generate debugging information.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /O+                # Optimize generated code.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Oi+               # Turn on function inlining.
-TEMPLATE_VBOXOS2VAC308_CFLAGS  += /Ge-               # Use the version of the runtime library that assumes a DLL is being built. (_DLL_InitTerm++)
-TEMPLATE_VBOXOS2VAC308_CFLAGS := $(strip $(TEMPLATE_VBOXOS2VAC308_CFLAGS))
-TEMPLATE_VBOXOS2VAC308_CXXFLAGS = $(VBoxGradd_CFLAGS)
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Gn+               # Do not generate default libraries in object.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Gr+               # Allow object code to run at ring 0.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Rn                # Produce code to run with no runtime environment.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Sp1               # Pack aggregate members on 1 byte alignment.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Tm-               # No debug memory management.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Q+                # Suppress the logo. (in VAC308.kmk?)
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /C+                # Perform compile only, no link. (in VAC308.kmk?)
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Ss+               # Allow the double slash (//) format to be used for comments. (C only)
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /G5                # Generate code optimized for use on a Pentium processor.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Ti+               # Generate debugging information.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /O+                # Optimize generated code.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Oi+               # Turn on function inlining.
+TEMPLATE_VBoxOs2Vac308_CFLAGS  += /Ge-               # Use the version of the runtime library that assumes a DLL is being built. (_DLL_InitTerm++)
+TEMPLATE_VBoxOs2Vac308_CFLAGS := $(strip $(TEMPLATE_VBoxOs2Vac308_CFLAGS))
+TEMPLATE_VBoxOs2Vac308_CXXFLAGS = $(VBoxGradd_CFLAGS)
 
-TEMPLATE_VBOXOS2VAC308_LDFLAGS += -B"/Nologo"        # Quiet! (ILINK308.kmk?)
-TEMPLATE_VBOXOS2VAC308_LDFLAGS += -B"/Debug"         # Debug info (ILINK308.kmk?)
-TEMPLATE_VBOXOS2VAC308_LDFLAGS += -B"/Map"           # Generate map file (ILINK308.kmk?)
-TEMPLATE_VBOXOS2VAC308_LDFLAGS += -B"/Linenumbers"   # Map file with linenumbers.
-TEMPLATE_VBOXOS2VAC308_LDFLAGS += -B"/Exepack:2"     # Compress the file using exepack 2.
-TEMPLATE_VBOXOS2VAC308_LDFLAGS += -B"/Alignment:32"  # Pack LX pages on 32 byte boundaries (default is 512 bytes).
-TEMPLATE_VBOXOS2VAC308_LDFLAGS += -B"/NoDefaultLibrarySearch"
-TEMPLATE_VBOXOS2VAC308_LDFLAGS := $(strip $(TEMPLATE_VBOXOS2VAC308_LDFLAGS))
+TEMPLATE_VBoxOs2Vac308_LDFLAGS += -B"/Nologo"        # Quiet! (ILINK308.kmk?)
+TEMPLATE_VBoxOs2Vac308_LDFLAGS += -B"/Debug"         # Debug info (ILINK308.kmk?)
+TEMPLATE_VBoxOs2Vac308_LDFLAGS += -B"/Map"           # Generate map file (ILINK308.kmk?)
+TEMPLATE_VBoxOs2Vac308_LDFLAGS += -B"/Linenumbers"   # Map file with linenumbers.
+TEMPLATE_VBoxOs2Vac308_LDFLAGS += -B"/Exepack:2"     # Compress the file using exepack 2.
+TEMPLATE_VBoxOs2Vac308_LDFLAGS += -B"/Alignment:32"  # Pack LX pages on 32 byte boundaries (default is 512 bytes).
+TEMPLATE_VBoxOs2Vac308_LDFLAGS += -B"/NoDefaultLibrarySearch"
+TEMPLATE_VBoxOs2Vac308_LDFLAGS := $(strip $(TEMPLATE_VBoxOs2Vac308_LDFLAGS))
 
-TEMPLATE_VBOXOS2VAC308_INCS = \
+TEMPLATE_VBoxOs2Vac308_INCS = \
 	$(PATH_DDKVIDEO)/rel/os2c/include/base/os2 \
 	$(PATH_DDKVIDEO)/rel/os2c/include/base/os2/16bit
 
-TEMPLATE_VBOXOS2VAC308_LIBS = \
+TEMPLATE_VBoxOs2Vac308_LIBS = \
 	$(PATH_DDKVIDEO)/rel/os2c/lib/os2/os2386.lib \
 	$(PATH_TOOL_VAC308_LIB)/cppon30.lib