Index: trunk/src/VBox/Main/include/AutoCaller.h
===================================================================
--- trunk/src/VBox/Main/include/AutoCaller.h	(revision 98123)
+++ trunk/src/VBox/Main/include/AutoCaller.h	(revision 98262)
@@ -69,5 +69,5 @@
  * {
  *     AutoCaller autoCaller(this);
- *     HRESULT hrc = autoCaller.rc();
+ *     HRESULT hrc = autoCaller.hrc();
  *     if (SUCCEEDED(hrc))
  *     {
@@ -115,7 +115,17 @@
 
     /**
+     * Returns the stored result code returned by ObjectState::addCaller() after
+     * instance creation or after the last #add() call.
+     *
+     * A successful result code means the number of callers was successfully
+     * increased.
+     */
+    HRESULT hrc() const { return mRC; }
+
+    /**
      * Returns the stored result code returned by ObjectState::addCaller()
      * after instance creation or after the last #add() call. A successful
      * result code means the number of callers was successfully increased.
+     * @deprecated use hrc()
      */
     HRESULT rc() const { return mRC; }
@@ -230,5 +240,5 @@
  * {
  *     AutoLimitedCaller autoCaller(this);
- *     HRESULT hrc = autoCaller.rc();
+ *     HRESULT hrc = autoCaller.hrc();
  *     if (SUCCEEDED(hrc))
  *     {
Index: trunk/src/VBox/Main/include/AutoStateDep.h
===================================================================
--- trunk/src/VBox/Main/include/AutoStateDep.h	(revision 98123)
+++ trunk/src/VBox/Main/include/AutoStateDep.h	(revision 98262)
@@ -44,8 +44,8 @@
      *  @code
      *      AutoCaller autoCaller(this);
-     *      if (FAILED(autoCaller.rc())) return autoCaller.rc();
+     *      if (FAILED(autoCaller.hrc())) return autoCaller.hrc();
      *
      *      Machine::AutoStateDependency<MutableStateDep> adep(mParent);
-     *      if (FAILED(stateDep.rc())) return stateDep.rc();
+     *      if (FAILED(stateDep.hrc())) return stateDep.hrc();
      *      ...
      *      // code that depends on the particular machine state
@@ -103,7 +103,10 @@
 
         /** Returns the result of Machine::addStateDependency(). */
+        HRESULT hrc() const { return mRC; }
+        /** Returns the result of Machine::addStateDependency().
+         * @deprecated Use #hrc() instead.  */
         HRESULT rc() const { return mRC; }
 
-        /** Shortcut to SUCCEEDED(rc()). */
+        /** Shortcut to SUCCEEDED(hrc()). */
         bool isOk() const { return SUCCEEDED(mRC); }
 
@@ -136,5 +139,5 @@
      *  this object is destroyed. If the machine state cannot be protected (as
      *  a result of the state change currently in progress), this instance's
-     *  #rc() method will indicate a failure, and the caller is not allowed to
+     *  #hrc() method will indicate a failure, and the caller is not allowed to
      *  rely on any particular machine state and should return the failed
      *  result code to the upper level.
@@ -148,5 +151,5 @@
      *  Succeeds only if the machine state is in one of the mutable states, and
      *  guarantees the given mutable state won't change before this object is
-     *  destroyed. If the machine is not mutable, this instance's #rc() method
+     *  destroyed. If the machine is not mutable, this instance's #hrc() method
      *  will indicate a failure, and the caller is not allowed to rely on any
      *  particular machine state and should return the failed result code to
@@ -167,5 +170,5 @@
      *  if the machine is in the Saved state, and guarantees the given mutable
      *  state won't change before this object is destroyed. If the machine is
-     *  not mutable, this instance's #rc() method will indicate a failure, and
+     *  not mutable, this instance's #hrc() method will indicate a failure, and
      *  the caller is not allowed to rely on any particular machine state and
      *  should return the failed result code to the upper level.
@@ -183,5 +186,5 @@
      *  if the machine is in the Running or Paused state, and guarantees the
      *  given mutable state won't change before this object is destroyed. If
-     *  the machine is not mutable, this instance's #rc() method will indicate
+     *  the machine is not mutable, this instance's #hrc() method will indicate
      *  a failure, and the caller is not allowed to rely on any particular
      *  machine state and should return the failed result code to the upper
@@ -200,5 +203,5 @@
      *  if the machine is in the Running, Paused or Saved state, and guarantees
      *  the given mutable state won't change before this object is destroyed.
-     *  If the machine is not mutable, this instance's #rc() method will
+     *  If the machine is not mutable, this instance's #hrc() method will
      *  indicate a failure, and the caller is not allowed to rely on any
      *  particular machine state and should return the failed result code to
Index: trunk/src/VBox/Main/include/ConsoleImpl.h
===================================================================
--- trunk/src/VBox/Main/include/ConsoleImpl.h	(revision 98123)
+++ trunk/src/VBox/Main/include/ConsoleImpl.h	(revision 98262)
@@ -437,5 +437,5 @@
             doRelease();
         }
-        /** Restores the number of callers after by #release(). #rc() must be
+        /** Restores the number of callers after by #release(). #hrc() must be
          *  rechecked to ensure the operation succeeded. */
         void addYY()
@@ -445,6 +445,9 @@
         }
         /** Returns the result of Console::addVMCaller() */
+        HRESULT hrc() const { return mRC; }
+        /** Returns the result of Console::addVMCaller()
+         * @deprecated Use #hrc() instead.  */
         HRESULT rc() const { return mRC; }
-        /** Shortcut to SUCCEEDED(rc()) */
+        /** Shortcut to SUCCEEDED(hrc()) */
         bool isOk() const { return SUCCEEDED(mRC); }
     protected:
@@ -471,5 +474,5 @@
      *  <code>
      *      AutoVMCaller autoVMCaller(this);
-     *      if (FAILED(autoVMCaller.rc())) return autoVMCaller.rc();
+     *      if (FAILED(autoVMCaller.hrc())) return autoVMCaller.hrc();
      *      ...
      *      VMR3ReqCall (mpUVM, ...
@@ -540,6 +543,9 @@
 
         /** The combined result of Console::addVMCaller() and Console::safeVMPtrRetainer */
-        HRESULT rc() const { return Base::isOk()? mRC: Base::rc(); }
-        /** Shortcut to SUCCEEDED(rc()) */
+        HRESULT hrc() const { return Base::isOk() ? mRC : Base::hrc(); }
+        /** The combined result of Console::addVMCaller() and Console::safeVMPtrRetainer
+         * @deprecated Use hrc() instead.  */
+        HRESULT rc() const { return Base::isOk() ? mRC : Base::hrc(); }
+        /** Shortcut to SUCCEEDED(hrc()) */
         bool isOk() const { return SUCCEEDED(mRC) && Base::isOk(); }
 
@@ -569,5 +575,5 @@
      *      Console::SafeVMPtr ptrVM(mParent);
      *      if (!ptrVM.isOk())
-     *          return ptrVM.rc();
+     *          return ptrVM.hrc();
      *      ...
      *      VMR3ReqCall(ptrVM.rawUVM(), ...
@@ -588,5 +594,5 @@
      *  <code>
      *      Console::SafeVMPtrQuiet pVM(mParent);
-     *      if (pVM.rc())
+     *      if (pVM.hrc())
      *          VMR3ReqCall(pVM, ...
      *      return S_OK;
Index: trunk/src/VBox/Main/include/GuestSessionImpl.h
===================================================================
--- trunk/src/VBox/Main/include/GuestSessionImpl.h	(revision 98123)
+++ trunk/src/VBox/Main/include/GuestSessionImpl.h	(revision 98262)
@@ -418,7 +418,6 @@
         /** Session timeout (in ms). */
         uint32_t                    mTimeout;
-        /** The last returned session status
-         *  returned from the guest side. */
-        int                         mRC;
+        /** The last returned session VBox status status returned from the guest side. */
+        int                         mVrc;
         /** Object ID allocation bitmap; clear bits are free, set bits are busy. */
         uint64_t                    bmObjectIds[VBOX_GUESTCTRL_MAX_OBJECTS / sizeof(uint64_t) / 8];
@@ -443,5 +442,5 @@
             , mProtocolVersion(rThat.mProtocolVersion)
             , mTimeout(rThat.mTimeout)
-            , mRC(rThat.mRC)
+            , mVrc(rThat.mVrc)
         {
             memcpy(&bmObjectIds, &rThat.bmObjectIds, sizeof(bmObjectIds));