Index: trunk/src/VBox/Main/.scm-settings
===================================================================
--- trunk/src/VBox/Main/.scm-settings	(revision 98295)
+++ trunk/src/VBox/Main/.scm-settings	(revision 98296)
@@ -59,4 +59,5 @@
 /src-helper-apps/*cpp: --no-rc-use
 /src-server/*cpp: --no-rc-use
+/include/*: --no-rc-use
 
 # IDL and XML
Index: trunk/src/VBox/Main/include/ConsoleVRDPServer.h
===================================================================
--- trunk/src/VBox/Main/include/ConsoleVRDPServer.h	(revision 98295)
+++ trunk/src/VBox/Main/include/ConsoleVRDPServer.h	(revision 98296)
@@ -312,5 +312,5 @@
                                                uint32_t cbData);
     static DECLCALLBACK(int) VRDESCardCbResponse(void *pvContext,
-                                                 int rcRequest,
+                                                 int vrcRequest,
                                                  void *pvUser,
                                                  uint32_t u32Function,
@@ -349,5 +349,5 @@
                                                         uint32_t cbData);
     static DECLCALLBACK(void) VRDECallbackVideoInDeviceDesc(void *pvCallback,
-                                                            int rcRequest,
+                                                            int vrcRequest,
                                                             void *pDeviceCtx,
                                                             void *pvUser,
@@ -355,5 +355,5 @@
                                                             uint32_t cbDevice);
     static DECLCALLBACK(void) VRDECallbackVideoInControl(void *pvCallback,
-                                                         int rcRequest,
+                                                         int vrcRequest,
                                                          void *pDeviceCtx,
                                                          void *pvUser,
@@ -361,5 +361,5 @@
                                                          uint32_t cbControl);
     static DECLCALLBACK(void) VRDECallbackVideoInFrame(void *pvCallback,
-                                                       int rcRequest,
+                                                       int vrcRequest,
                                                        void *pDeviceCtx,
                                                        const VRDEVIDEOINPAYLOADHDR *pFrame,
@@ -371,5 +371,5 @@
     VRDEINPUTCALLBACKS m_interfaceCallbacksInput;
     static DECLCALLBACK(void) VRDECallbackInputSetup(void *pvCallback,
-                                                     int rcRequest,
+                                                     int vrcRequest,
                                                      uint32_t u32Method,
                                                      const void *pvResult,
Index: trunk/src/VBox/Main/include/vector.h
===================================================================
--- trunk/src/VBox/Main/include/vector.h	(revision 98295)
+++ trunk/src/VBox/Main/include/vector.h	(revision 98296)
@@ -206,9 +206,11 @@
                                  void *pvElement)
 {
-    int rc2;
     AssertReturn(pvec->muTypeHash == uTypeHash, VERR_INVALID_PARAMETER);
-    if (   pvec->mcElements == pvec->mcCapacity
-        && RT_FAILURE((rc2 = VEC_EXPAND(pvec))))
-        return rc2;
+    if (pvec->mcElements == pvec->mcCapacity)
+    {
+        int vrc2 = VEC_EXPAND(pvec);
+        if (RT_FAILURE(vrc2))
+            return vrc2;
+    }
     memcpy(VEC_GET_ELEMENT_OBJ(pvec->mpvaElements, pvec->mcbElement,
                                pvec->mcElements), pvElement, pvec->mcbElement);
@@ -221,9 +223,11 @@
                                  void *pv)
 {
-    int rc2;
     AssertReturn(pvec->muTypeHash == uTypeHash, VERR_INVALID_PARAMETER);
-    if (   pvec->mcElements == pvec->mcCapacity
-        && RT_FAILURE((rc2 = VEC_EXPAND(pvec))))
-        return rc2;
+    if (pvec->mcElements == pvec->mcCapacity)
+    {
+        int vrc2 = VEC_EXPAND(pvec);
+        if (RT_FAILURE(vrc2))
+            return vrc2;
+    }
     VEC_GET_ELEMENT_PTR(pvec->mpvaElements, pvec->mcElements) = pv;
     ++pvec->mcElements;