Index: trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.cpp
===================================================================
--- trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.cpp	(revision 98301)
+++ trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.cpp	(revision 98302)
@@ -69,17 +69,4 @@
 NS_DECL_CLASSINFO(VBoxSDLFBOverlay)
 #endif
-
-#ifdef VBOX_SECURELABEL
-/* function pointers */
-extern "C"
-{
-DECLSPEC int (SDLCALL *pTTF_Init)(void);
-DECLSPEC TTF_Font* (SDLCALL *pTTF_OpenFont)(const char *file, int ptsize);
-DECLSPEC SDL_Surface* (SDLCALL *pTTF_RenderUTF8_Solid)(TTF_Font *font, const char *text, SDL_Color fg);
-DECLSPEC SDL_Surface* (SDLCALL *pTTF_RenderUTF8_Blended)(TTF_Font *font, const char *text, SDL_Color fg);
-DECLSPEC void (SDLCALL *pTTF_CloseFont)(TTF_Font *font);
-DECLSPEC void (SDLCALL *pTTF_Quit)(void);
-}
-#endif /* VBOX_SECURELABEL */
 
 static bool gfSdlInitialized = false;           /**< if SDL was initialized */
@@ -151,10 +138,4 @@
     mBytesPerLine   = 0;
     mfSameSizeRequested = false;
-#ifdef VBOX_SECURELABEL
-    mLabelFont      = NULL;
-    mLabelHeight    = 0;
-    mLabelOffs      = 0;
-#endif
-
     mfUpdates = false;
 
@@ -195,12 +176,4 @@
         mSurfVRAM = NULL;
     }
-
-#ifdef VBOX_SECURELABEL
-    if (mLabelFont)
-        pTTF_CloseFont(mLabelFont);
-    if (pTTF_Quit)
-        pTTF_Quit();
-#endif
-
     RTCritSectDelete(&mUpdateLock);
 }
@@ -344,9 +317,5 @@
     if (!heightReduction)
         return E_POINTER;
-#ifdef VBOX_SECURELABEL
-    *heightReduction = mLabelHeight;
-#else
     *heightReduction = 0;
-#endif
     return S_OK;
 }
@@ -805,9 +774,5 @@
     {
         newWidth  = RT_MIN(mGuestXRes, mMaxScreenWidth);
-#ifdef VBOX_SECURELABEL
-        newHeight = RT_MIN(mGuestYRes + mLabelHeight, mMaxScreenHeight);
-#else
         newHeight = RT_MIN(mGuestYRes, mMaxScreenHeight);
-#endif
     }
 
@@ -875,37 +840,4 @@
     }
 #endif /* VBOX_WITH_SDL2 */
-#ifdef VBOX_SECURELABEL
-    /*
-     * For non fixed SDL resolution, the above call tried to add the label height
-     * to the guest height. If it worked, we have an offset. If it didn't the below
-     * code will try again with the original guest resolution.
-     */
-    if (mFixedSDLWidth == ~(uint32_t)0)
-    {
-        /* if it didn't work, then we have to go for the original resolution and paint over the guest */
-        if (!mScreenSurface)
-        {
-            mScreenSurface = SDL_SetVideoMode(newWidth, newHeight - mLabelHeight, 0, sdlFlags);
-        }
-        else
-        {
-            /* we now have some extra space */
-            mTopOffset = mLabelHeight;
-        }
-    }
-    else
-    {
-        /* in case the guest resolution is small enough, we do have a top offset */
-        if (mFixedSDLHeight - mGuestYRes >= mLabelHeight)
-            mTopOffset = mLabelHeight;
-
-        /* we also might have to center the guest picture */
-        if (mFixedSDLWidth > mGuestXRes)
-            mCenterXOffset = (mFixedSDLWidth - mGuestXRes) / 2;
-        if (mFixedSDLHeight > mGuestYRes + mLabelHeight)
-            mCenterYOffset = (mFixedSDLHeight - (mGuestYRes + mLabelHeight)) / 2;
-    }
-#endif /* VBOX_SECURELABEL */
-
 }
 
@@ -948,15 +880,4 @@
     /* this is how many pixels we have to cut off from the height for this specific blit */
     int yCutoffGuest = 0;
-
-#ifdef VBOX_SECURELABEL
-    bool fPaintLabel = false;
-    /* if we have a label and no space for it, we have to cut off a bit */
-    if (mLabelHeight && !mTopOffset)
-    {
-        if (y < (int)mLabelHeight)
-            yCutoffGuest = mLabelHeight - y;
-    }
-#endif
-
     /**
      * If we get a SDL window relative update, we
@@ -967,9 +888,4 @@
     if (!fGuestRelative)
     {
-#ifdef VBOX_SECURELABEL
-        /* repaint the label if necessary */
-        if (y < (int)mLabelHeight)
-            fPaintLabel = true;
-#endif
         x = 0;
         w = mGuestXRes;
@@ -991,9 +907,5 @@
      */
     dstRect.x = x + mCenterXOffset;
-#ifdef VBOX_SECURELABEL
-    dstRect.y = RT_MAX(mLabelHeight, y + yCutoffGuest + mTopOffset) + mCenterYOffset;
-#else
     dstRect.y = y + yCutoffGuest + mTopOffset + mCenterYOffset;
-#endif
     dstRect.w = w;
     dstRect.h = RT_MAX(0, h - yCutoffGuest);
@@ -1011,9 +923,4 @@
     SDL_DestroyTexture(pNewTexture);
 #endif
-
-#ifdef VBOX_SECURELABEL
-    if (fPaintLabel)
-        paintSecureLabel(0, 0, 0, 0, false);
-#endif
     RTCritSectLeave(&mUpdateLock);
 }
@@ -1075,108 +982,2 @@
 }
 #endif
-
-
-#ifdef VBOX_SECURELABEL
-
-/**
- * Setup the secure labeling parameters
- *
- * @returns         VBox status code
- * @param height    height of the secure label area in pixels
- * @param font      file path fo the TrueType font file
- * @param pointsize font size in points
- */
-int VBoxSDLFB::initSecureLabel(uint32_t height, char *font, uint32_t pointsize, uint32_t labeloffs)
-{
-    LogFlow(("VBoxSDLFB:initSecureLabel: new offset: %d pixels, new font: %s, new pointsize: %d\n",
-              height, font, pointsize));
-    mLabelHeight = height;
-    mLabelOffs = labeloffs;
-    Assert(font);
-    pTTF_Init();
-    mLabelFont = pTTF_OpenFont(font, pointsize);
-    if (!mLabelFont)
-    {
-        AssertMsgFailed(("Failed to open TTF font file %s\n", font));
-        return VERR_OPEN_FAILED;
-    }
-    mSecureLabelColorFG = 0x0000FF00;
-    mSecureLabelColorBG = 0x00FFFF00;
-    repaint();
-    return VINF_SUCCESS;
-}
-
-/**
- * Set the secure label text and repaint the label
- *
- * @param   text UTF-8 string of new label
- * @remarks must be called from the SDL thread!
- */
-void VBoxSDLFB::setSecureLabelText(const char *text)
-{
-    mSecureLabelText = text;
-    paintSecureLabel(0, 0, 0, 0, true);
-}
-
-/**
- * Sets the secure label background color.
- *
- * @param   colorFG encoded RGB value for text
- * @param   colorBG encored RGB value for background
- * @remarks must be called from the SDL thread!
- */
-void VBoxSDLFB::setSecureLabelColor(uint32_t colorFG, uint32_t colorBG)
-{
-    mSecureLabelColorFG = colorFG;
-    mSecureLabelColorBG = colorBG;
-    paintSecureLabel(0, 0, 0, 0, true);
-}
-
-/**
- * Paint the secure label if required
- *
- * @param   fForce Force the repaint
- * @remarks must be called from the SDL thread!
- */
-void VBoxSDLFB::paintSecureLabel(int x, int y, int w, int h, bool fForce)
-{
-    RT_NOREF(x, w, h);
-# ifdef VBOXSDL_WITH_X11
-    AssertMsg(gSdlNativeThread == RTThreadNativeSelf(), ("Wrong thread! SDL is not threadsafe!\n"));
-# endif
-    /* only when the function is present */
-    if (!pTTF_RenderUTF8_Solid)
-        return;
-    /* check if we can skip the paint */
-    if (!fForce && ((uint32_t)y > mLabelHeight))
-    {
-        return;
-    }
-    /* first fill the background */
-    SDL_Rect rect = {0, 0, (Uint16)mScreen->w, (Uint16)mLabelHeight};
-    SDL_FillRect(mScreen, &rect, SDL_MapRGB(mScreen->format,
-                                            (mSecureLabelColorBG & 0x00FF0000) >> 16,   /* red   */
-                                            (mSecureLabelColorBG & 0x0000FF00) >> 8,   /* green */
-                                            mSecureLabelColorBG & 0x000000FF)); /* blue  */
-
-    /* now the text */
-    if (    mLabelFont != NULL
-         && !mSecureLabelText.isEmpty()
-       )
-    {
-        SDL_Color clrFg = {(uint8_t)((mSecureLabelColorFG & 0x00FF0000) >> 16),
-                           (uint8_t)((mSecureLabelColorFG & 0x0000FF00) >> 8),
-                           (uint8_t)( mSecureLabelColorFG & 0x000000FF      ), 0};
-        SDL_Surface *sText = (pTTF_RenderUTF8_Blended != NULL)
-                                 ? pTTF_RenderUTF8_Blended(mLabelFont, mSecureLabelText.c_str(), clrFg)
-                                 : pTTF_RenderUTF8_Solid(mLabelFont, mSecureLabelText.c_str(), clrFg);
-        rect.x = 10;
-        rect.y = mLabelOffs;
-        SDL_BlitSurface(sText, NULL, mScreen, &rect);
-        SDL_FreeSurface(sText);
-    }
-    /* make sure to update the screen */
-    SDL_UpdateRect(mScreen, 0, 0, mScreen->w, mLabelHeight);
-}
-
-#endif /* VBOX_SECURELABEL */
Index: trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.h	(revision 98301)
+++ trunk/src/VBox/Frontends/VBoxSDL/Framebuffer.h	(revision 98302)
@@ -38,19 +38,4 @@
 
 #include <iprt/critsect.h>
-
-#ifdef VBOX_SECURELABEL
-#include <SDL_ttf.h>
-/* function pointers */
-extern "C"
-{
-extern DECLSPEC int (SDLCALL *pTTF_Init)(void);
-extern DECLSPEC TTF_Font* (SDLCALL *pTTF_OpenFont)(const char *file, int ptsize);
-extern DECLSPEC SDL_Surface* (SDLCALL *pTTF_RenderUTF8_Solid)(TTF_Font *font, const char *text, SDL_Color fg);
-extern DECLSPEC SDL_Surface* (SDLCALL *pTTF_RenderUTF8_Shaded)(TTF_Font *font, const char *text, SDL_Color fg, SDL_Color bg);
-extern DECLSPEC SDL_Surface* (SDLCALL *pTTF_RenderUTF8_Blended)(TTF_Font *font, const char *text, SDL_Color fg);
-extern DECLSPEC void (SDLCALL *pTTF_CloseFont)(TTF_Font *font);
-extern DECLSPEC void (SDLCALL *pTTF_Quit)(void);
-}
-#endif /* VBOX_SECURELABEL && !VBOX_WITH_SDL2 */
 
 class VBoxSDLFBOverlay;
@@ -132,10 +117,4 @@
     bool hasWindow(uint32_t id) { return SDL_GetWindowID(mpWindow) == id; }
     int setWindowTitle(const char *pcszTitle);
-#endif
-#ifdef VBOX_SECURELABEL
-    int  initSecureLabel(uint32_t height, char *font, uint32_t pointsize, uint32_t labeloffs);
-    void setSecureLabelText(const char *text);
-    void setSecureLabelColor(uint32_t colorFG, uint32_t colorBG);
-    void paintSecureLabel(int x, int y, int w, int h, bool fForce);
 #endif
     void setWinId(int64_t winId) { mWinId = winId; }
@@ -196,20 +175,4 @@
     /** handle to window where framebuffer context is being drawn*/
     int64_t mWinId;
-#ifdef VBOX_SECURELABEL
-    /** current secure label text */
-    Utf8Str mSecureLabelText;
-    /** current secure label foreground color (RGB) */
-    uint32_t mSecureLabelColorFG;
-    /** current secure label background color (RGB) */
-    uint32_t mSecureLabelColorBG;
-    /** secure label font handle */
-    TTF_Font *mLabelFont;
-    /** secure label height in pixels */
-    uint32_t mLabelHeight;
-    /** secure label offset from the top of the secure label */
-    uint32_t mLabelOffs;
-
-#endif
-
     SDL_Surface *mSurfVRAM;
 
Index: trunk/src/VBox/Frontends/VBoxSDL/Makefile.kmk
===================================================================
--- trunk/src/VBox/Frontends/VBoxSDL/Makefile.kmk	(revision 98301)
+++ trunk/src/VBox/Frontends/VBoxSDL/Makefile.kmk	(revision 98302)
@@ -65,9 +65,4 @@
 ifdef VBOX_WITH_SDL2
  VBoxSDL_DEFS     += VBOX_WITH_SDL2
-endif
-if !defined(VBOX_WITH_SDL2)
- ifdef VBOX_WITH_SECURELABEL
-  VBoxSDL_DEFS    += VBOX_SECURELABEL
- endif
 endif
 VBoxSDL_DEFS.freebsd = VBOXSDL_WITH_X11
Index: trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.cpp
===================================================================
--- trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.cpp	(revision 98301)
+++ trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.cpp	(revision 98302)
@@ -111,11 +111,4 @@
 *   Defined Constants And Macros                                                                                                 *
 *********************************************************************************************************************************/
-#ifdef VBOX_SECURELABEL
-/** extra data key for the secure label */
-#define VBOXSDL_SECURELABEL_EXTRADATA "VBoxSDL/SecureLabel"
-/** label area height in pixels */
-#define SECURE_LABEL_HEIGHT 20
-#endif
-
 /** Enables the rawr[0|3], patm, and casm options. */
 #define VBOXSDL_ADVANCED_OPTIONS
@@ -248,13 +241,4 @@
 #endif
 
-#ifdef VBOX_SECURELABEL
-#ifdef RT_OS_WINDOWS
-#define LIBSDL_TTF_NAME "SDL_ttf"
-#else
-#define LIBSDL_TTF_NAME "libSDL_ttf-2.0.so.0"
-#endif
-RTLDRMOD gLibrarySDL_ttf = NIL_RTLDRMOD;
-#endif
-
 static RTSEMEVENT g_EventSemSDLEvents;
 static volatile int32_t g_cNotifyUpdateEventsPending;
@@ -343,37 +327,5 @@
         {
             case VBoxEventType_OnExtraDataChanged:
-            {
-#ifdef VBOX_SECURELABEL
-                ComPtr<IExtraDataChangedEvent> pEDCEv = aEvent;
-                Assert(pEDCEv);
-                Bstr bstrMachineId;
-                pEDCEv->COMGETTER(MachineId)(bstrMachineId.asOutParam());
-                if (gpMachine)
-                {
-                    /*
-                     * check if we're interested in the message
-                     */
-                    Bstr bstrOurId;
-                    gpMachine->COMGETTER(Id)(bstrOurId.asOutParam());
-                    if (bstrOurId == bstrMachineId)
-                    {
-                        Bstr bstrKey;
-                        pEDCEv->COMGETTER(Key)(bstrKey.asOutParam());
-                        if (bstrKey == VBOXSDL_SECURELABEL_EXTRADATA)
-                        {
-                            /*
-                             * Notify SDL thread of the string update
-                             */
-                            SDL_Event event  = {0};
-                            event.type       = SDL_USEREVENT;
-                            event.user.type  = SDL_USER_EVENT_SECURELABEL_UPDATE;
-                            PushSDLEventForSure(&event);
-                        }
-                    }
-                }
-#endif
                 break;
-            }
-
             default:
                 AssertFailed();
@@ -688,12 +640,4 @@
              "  --settingspw <pw>        Specify the settings password\n"
              "  --settingspwfile <file>  Specify a file containing the settings password\n"
-#ifdef VBOX_SECURELABEL
-             "  --securelabel            Display a secure VM label at the top of the screen\n"
-             "  --seclabelfnt            TrueType (.ttf) font file for secure session label\n"
-             "  --seclabelsiz            Font point size for secure session label (default 12)\n"
-             "  --seclabelofs            Font offset within the secure label (default 0)\n"
-             "  --seclabelfgcol <rgb>    Secure label text color RGB value in 6 digit hexadecimal (eg: FFFF00)\n"
-             "  --seclabelbgcol <rgb>    Secure label background color RGB value in 6 digit hexadecimal (eg: FF0000)\n"
-#endif
 #ifdef VBOXSDL_ADVANCED_OPTIONS
              "  --warpdrive <pct>        Sets the warp driver rate in percent (100 = normal)\n"
@@ -909,12 +853,4 @@
     const char *pcszSettingsPw = NULL;
     const char *pcszSettingsPwFile = NULL;
-#ifdef VBOX_SECURELABEL
-    BOOL fSecureLabel = false;
-    uint32_t secureLabelPointSize = 12;
-    uint32_t secureLabelFontOffs = 0;
-    char *secureLabelFontFile = NULL;
-    uint32_t secureLabelColorFG = 0x0000FF00;
-    uint32_t secureLabelColorBG = 0x00FFFF00;
-#endif
 #ifdef VBOXSDL_ADVANCED_OPTIONS
     uint32_t u32WarpDrive = 0;
@@ -1290,62 +1226,4 @@
             pcszSettingsPwFile = argv[curArg];
         }
-#ifdef VBOX_SECURELABEL
-        else if (   !strcmp(argv[curArg], "--securelabel")
-                 || !strcmp(argv[curArg], "-securelabel"))
-        {
-            fSecureLabel = true;
-            LogFlow(("Secure labelling turned on\n"));
-        }
-        else if (   !strcmp(argv[curArg], "--seclabelfnt")
-                 || !strcmp(argv[curArg], "-seclabelfnt"))
-        {
-            if (++curArg >= argc)
-            {
-                RTPrintf("Error: missing font file name for secure label!\n");
-                return 1;
-            }
-            secureLabelFontFile = argv[curArg];
-        }
-        else if (   !strcmp(argv[curArg], "--seclabelsiz")
-                 || !strcmp(argv[curArg], "-seclabelsiz"))
-        {
-            if (++curArg >= argc)
-            {
-                RTPrintf("Error: missing font point size for secure label!\n");
-                return 1;
-            }
-            secureLabelPointSize = atoi(argv[curArg]);
-        }
-        else if (   !strcmp(argv[curArg], "--seclabelofs")
-                 || !strcmp(argv[curArg], "-seclabelofs"))
-        {
-            if (++curArg >= argc)
-            {
-                RTPrintf("Error: missing font pixel offset for secure label!\n");
-                return 1;
-            }
-            secureLabelFontOffs = atoi(argv[curArg]);
-        }
-        else if (   !strcmp(argv[curArg], "--seclabelfgcol")
-                 || !strcmp(argv[curArg], "-seclabelfgcol"))
-        {
-            if (++curArg >= argc)
-            {
-                RTPrintf("Error: missing text color value for secure label!\n");
-                return 1;
-            }
-            sscanf(argv[curArg], "%X", &secureLabelColorFG);
-        }
-        else if (   !strcmp(argv[curArg], "--seclabelbgcol")
-                 || !strcmp(argv[curArg], "-seclabelbgcol"))
-        {
-            if (++curArg >= argc)
-            {
-                RTPrintf("Error: missing background color value for secure label!\n");
-                return 1;
-            }
-            sscanf(argv[curArg], "%X", &secureLabelColorBG);
-        }
-#endif
 #ifdef VBOXSDL_ADVANCED_OPTIONS
         else if (   !strcmp(argv[curArg], "--warpdrive")
@@ -1988,50 +1866,4 @@
     }
 
-#ifdef VBOX_SECURELABEL
-    if (fSecureLabel)
-    {
-        if (!secureLabelFontFile)
-        {
-            RTPrintf("Error: no font file specified for secure label!\n");
-            goto leave;
-        }
-        /* load the SDL_ttf library and get the required imports */
-        vrc = RTLdrLoadSystem(LIBSDL_TTF_NAME, true /*fNoUnload*/, &gLibrarySDL_ttf);
-        if (RT_SUCCESS(vrc))
-            vrc = RTLdrGetSymbol(gLibrarySDL_ttf, "TTF_Init", (void**)&pTTF_Init);
-        if (RT_SUCCESS(vrc))
-            vrc = RTLdrGetSymbol(gLibrarySDL_ttf, "TTF_OpenFont", (void**)&pTTF_OpenFont);
-        if (RT_SUCCESS(vrc))
-            vrc = RTLdrGetSymbol(gLibrarySDL_ttf, "TTF_RenderUTF8_Solid", (void**)&pTTF_RenderUTF8_Solid);
-        if (RT_SUCCESS(vrc))
-        {
-            /* silently ignore errors here */
-            vrc = RTLdrGetSymbol(gLibrarySDL_ttf, "TTF_RenderUTF8_Blended", (void**)&pTTF_RenderUTF8_Blended);
-            if (RT_FAILURE(vrc))
-                pTTF_RenderUTF8_Blended = NULL;
-            vrc = VINF_SUCCESS;
-        }
-        if (RT_SUCCESS(vrc))
-            vrc = RTLdrGetSymbol(gLibrarySDL_ttf, "TTF_CloseFont", (void**)&pTTF_CloseFont);
-        if (RT_SUCCESS(vrc))
-            vrc = RTLdrGetSymbol(gLibrarySDL_ttf, "TTF_Quit", (void**)&pTTF_Quit);
-        if (RT_SUCCESS(vrc))
-            vrc = gpFramebuffer[0]->initSecureLabel(SECURE_LABEL_HEIGHT, secureLabelFontFile, secureLabelPointSize, secureLabelFontOffs);
-        if (RT_FAILURE(vrc))
-        {
-            RTPrintf("Error: could not initialize secure labeling: rc = %Rrc\n", vrc);
-            goto leave;
-        }
-        Bstr bstrLabel;
-        gpMachine->GetExtraData(Bstr(VBOXSDL_SECURELABEL_EXTRADATA).raw(), bstrLabel.asOutParam());
-        Utf8Str labelUtf8(bstrLabel);
-        /*
-         * Now update the label
-         */
-        gpFramebuffer[0]->setSecureLabelColor(secureLabelColorFG, secureLabelColorBG);
-        gpFramebuffer[0]->setSecureLabelText(labelUtf8.c_str());
-    }
-#endif
-
 #ifdef VBOXSDL_WITH_X11
     /* NOTE1: We still want Ctrl-C to work, so we undo the SDL redirections.
@@ -2492,10 +2324,5 @@
                             }
                             uResizeWidth  = event.window.data1;
-#ifdef VBOX_SECURELABEL
-                            if (fSecureLabel)
-                                uResizeHeight = RT_MAX(0, event.window.data2 - SECURE_LABEL_HEIGHT);
-                            else
-#endif
-                                uResizeHeight = event.window.data2;
+                            uResizeHeight = event.window.data2;
                             if (gSdlResizeTimer)
                                 SDL_RemoveTimer(gSdlResizeTimer);
@@ -2778,10 +2605,5 @@
                     }
                     uResizeWidth  = event.resize.w;
-#ifdef VBOX_SECURELABEL
-                    if (fSecureLabel)
-                        uResizeHeight = RT_MAX(0, event.resize.h - SECURE_LABEL_HEIGHT);
-                    else
-#endif
-                        uResizeHeight = event.resize.h;
+                    uResizeHeight = event.resize.h;
                     if (gSdlResizeTimer)
                         SDL_RemoveTimer(gSdlResizeTimer);
@@ -2892,25 +2714,4 @@
                 goto leave;
             }
-
-#ifdef VBOX_SECURELABEL
-            /*
-             * User specific secure label update event
-             */
-            case SDL_USER_EVENT_SECURELABEL_UPDATE:
-            {
-                /*
-                 * Query the new label text
-                 */
-                Bstr bstrLabel;
-                gpMachine->GetExtraData(Bstr(VBOXSDL_SECURELABEL_EXTRADATA).raw(), bstrLabel.asOutParam());
-                Utf8Str labelUtf8(bstrLabel);
-                /*
-                 * Now update the label
-                 */
-                gpFramebuffer[0]->setSecureLabelText(labelUtf8.c_str());
-                break;
-            }
-#endif /* VBOX_SECURELABEL */
-
             /*
              * User specific pointer shape change event
@@ -3091,10 +2892,4 @@
 
     VBoxSDLFB::uninit();
-
-#ifdef VBOX_SECURELABEL
-    /* must do this after destructing the framebuffer */
-    if (gLibrarySDL_ttf)
-        RTLdrClose(gLibrarySDL_ttf);
-#endif
 
     /* VirtualBox (server) listener unregistration. */
Index: trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.h	(revision 98301)
+++ trunk/src/VBox/Frontends/VBoxSDL/VBoxSDL.h	(revision 98302)
@@ -61,14 +61,12 @@
 /** custom SDL user event for terminating the session */
 #define SDL_USER_EVENT_TERMINATE          (SDL_USEREVENT + 8)
-/** custom SDL user event for secure label update notification */
-#define SDL_USER_EVENT_SECURELABEL_UPDATE (SDL_USEREVENT + 9)
 /** custom SDL user event for pointer shape change request */
-#define SDL_USER_EVENT_POINTER_CHANGE     (SDL_USEREVENT + 10)
+#define SDL_USER_EVENT_POINTER_CHANGE     (SDL_USEREVENT + 9)
 /** custom SDL user event for a regular timer */
-#define SDL_USER_EVENT_TIMER              (SDL_USEREVENT + 11)
+#define SDL_USER_EVENT_TIMER              (SDL_USEREVENT + 10)
 /** custom SDL user event for resetting mouse cursor */
-#define SDL_USER_EVENT_GUEST_CAP_CHANGED  (SDL_USEREVENT + 12)
+#define SDL_USER_EVENT_GUEST_CAP_CHANGED  (SDL_USEREVENT + 11)
 /** custom SDL user event for window resize done */
-#define SDL_USER_EVENT_WINDOW_RESIZE_DONE (SDL_USEREVENT + 13)
+#define SDL_USER_EVENT_WINDOW_RESIZE_DONE (SDL_USEREVENT + 12)
 
 