Index: /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackend.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackend.h	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackend.h	(revision 98335)
@@ -118,4 +118,5 @@
 template<> SHARED_LIBRARY_STUFF bool canConvert<UIExtraDataMetaDefs::DetailsElementOptionTypeDescription>();
 template<> SHARED_LIBRARY_STUFF bool canConvert<UIColorThemeType>();
+template<> SHARED_LIBRARY_STUFF bool canConvert<UILaunchMode>();
 template<> SHARED_LIBRARY_STUFF bool canConvert<UIToolType>();
 template<> SHARED_LIBRARY_STUFF bool canConvert<UIVisualStateType>();
@@ -242,4 +243,5 @@
 template<> SHARED_LIBRARY_STUFF QString toInternalString(const UIColorThemeType &colorThemeType);
 template<> SHARED_LIBRARY_STUFF UIColorThemeType fromInternalString<UIColorThemeType>(const QString &strColorThemeType);
+template<> SHARED_LIBRARY_STUFF UILaunchMode fromInternalString<UILaunchMode>(const QString &strDefaultFrontendType);
 template<> SHARED_LIBRARY_STUFF QString toInternalString(const UIToolType &enmToolType);
 template<> SHARED_LIBRARY_STUFF UIToolType fromInternalString<UIToolType>(const QString &strToolType);
Index: /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp	(revision 98335)
@@ -73,4 +73,5 @@
 template<> bool canConvert<UIExtraDataMetaDefs::DetailsElementOptionTypeDescription>() { return true; }
 template<> bool canConvert<UIColorThemeType>() { return true; }
+template<> bool canConvert<UILaunchMode>() { return true; }
 template<> bool canConvert<UIToolType>() { return true; }
 template<> bool canConvert<UIVisualStateType>() { return true; }
@@ -1657,4 +1658,16 @@
 }
 
+/* UILaunchMode <= QString: */
+template<> UILaunchMode fromInternalString<UILaunchMode>(const QString &strDefaultFrontendType)
+{
+    if (strDefaultFrontendType.compare("Default", Qt::CaseInsensitive) == 0)
+        return UILaunchMode_Default;
+    if (strDefaultFrontendType.compare("Headless", Qt::CaseInsensitive) == 0)
+        return UILaunchMode_Headless;
+    if (strDefaultFrontendType.compare("Separate", Qt::CaseInsensitive) == 0)
+        return UILaunchMode_Separate;
+    return UILaunchMode_Invalid;
+}
+
 /* QString <= UIToolType: */
 template<> QString toInternalString(const UIToolType &enmToolType)
Index: /trunk/src/VBox/Frontends/VirtualBox/src/globals/UICommon.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/globals/UICommon.cpp	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/globals/UICommon.cpp	(revision 98335)
@@ -1265,5 +1265,5 @@
 
 /* static */
-bool UICommon::launchMachine(CMachine &comMachine, LaunchMode enmLaunchMode /* = LaunchMode_Default */)
+bool UICommon::launchMachine(CMachine &comMachine, UILaunchMode enmLaunchMode /* = UILaunchMode_Default */)
 {
     /* Switch to machine window(s) if possible: */
@@ -1291,5 +1291,5 @@
 
     /* Not for separate UI (which can connect to machine in any state): */
-    if (enmLaunchMode != LaunchMode_Separate)
+    if (enmLaunchMode != UILaunchMode_Separate)
     {
         /* Make sure machine-state is one of required: */
@@ -1331,7 +1331,7 @@
     switch (enmLaunchMode)
     {
-        case LaunchMode_Default:  strType = ""; break;
-        case LaunchMode_Separate: strType = uiCommon().isSeparateProcess() ? "headless" : "separate"; break;
-        case LaunchMode_Headless: strType = "headless"; break;
+        case UILaunchMode_Default:  strType = ""; break;
+        case UILaunchMode_Separate: strType = uiCommon().isSeparateProcess() ? "headless" : "separate"; break;
+        case UILaunchMode_Headless: strType = "headless"; break;
         default: AssertFailedReturn(false);
     }
@@ -1342,5 +1342,5 @@
     {
         /* If the VM is started separately and the VM process is already running, then it is OK. */
-        if (enmLaunchMode == LaunchMode_Separate)
+        if (enmLaunchMode == UILaunchMode_Separate)
         {
             const KMachineState enmState = comMachine.GetState();
Index: /trunk/src/VBox/Frontends/VirtualBox/src/globals/UICommon.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/globals/UICommon.h	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/globals/UICommon.h	(revision 98335)
@@ -144,13 +144,4 @@
     };
 
-    /** VM launch modes. */
-    enum LaunchMode
-    {
-        LaunchMode_Invalid,
-        LaunchMode_Default,
-        LaunchMode_Headless,
-        LaunchMode_Separate
-    };
-
     /** VM launch running options. */
     enum LaunchRunning
@@ -349,5 +340,5 @@
         static bool switchToMachine(CMachine &comMachine);
         /** Launches certain @a comMachine in specified @a enmLaunchMode. */
-        static bool launchMachine(CMachine &comMachine, LaunchMode enmLaunchMode = LaunchMode_Default);
+        static bool launchMachine(CMachine &comMachine, UILaunchMode enmLaunchMode = UILaunchMode_Default);
 
         /** Opens session of certain @a enmLockType for VM with certain @a uId. */
Index: /trunk/src/VBox/Frontends/VirtualBox/src/globals/UIDefs.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/globals/UIDefs.h	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/globals/UIDefs.h	(revision 98335)
@@ -127,4 +127,14 @@
 
 
+/** VM launch modes. */
+enum UILaunchMode
+{
+    UILaunchMode_Invalid,
+    UILaunchMode_Default,
+    UILaunchMode_Headless,
+    UILaunchMode_Separate
+};
+
+
 /** Storage-slot struct. */
 struct StorageSlot
Index: /trunk/src/VBox/Frontends/VirtualBox/src/manager/UIVirtualBoxManager.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/manager/UIVirtualBoxManager.cpp	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/manager/UIVirtualBoxManager.cpp	(revision 98335)
@@ -1233,5 +1233,5 @@
     QList<UIVirtualMachineItem*> items = currentItems();
     AssertMsgReturnVoid(!items.isEmpty(), ("At least one item should be selected!\n"));
-    performStartOrShowVirtualMachines(items, UICommon::LaunchMode_Invalid);
+    performStartOrShowVirtualMachines(items, UILaunchMode_Invalid);
 }
 
@@ -1241,5 +1241,5 @@
     QList<UIVirtualMachineItem*> items = currentItems();
     AssertMsgReturnVoid(!items.isEmpty(), ("At least one item should be selected!\n"));
-    performStartOrShowVirtualMachines(items, UICommon::LaunchMode_Default);
+    performStartOrShowVirtualMachines(items, UILaunchMode_Default);
 }
 
@@ -1249,5 +1249,5 @@
     QList<UIVirtualMachineItem*> items = currentItems();
     AssertMsgReturnVoid(!items.isEmpty(), ("At least one item should be selected!\n"));
-    performStartOrShowVirtualMachines(items, UICommon::LaunchMode_Headless);
+    performStartOrShowVirtualMachines(items, UILaunchMode_Headless);
 }
 
@@ -1257,5 +1257,5 @@
     QList<UIVirtualMachineItem*> items = currentItems();
     AssertMsgReturnVoid(!items.isEmpty(), ("At least one item should be selected!\n"));
-    performStartOrShowVirtualMachines(items, UICommon::LaunchMode_Separate);
+    performStartOrShowVirtualMachines(items, UILaunchMode_Separate);
 }
 
@@ -2657,5 +2657,5 @@
 /* static */
 void UIVirtualBoxManager::launchMachine(CMachine &comMachine,
-                                        UICommon::LaunchMode enmLaunchMode /* = UICommon::LaunchMode_Default */)
+                                        UILaunchMode enmLaunchMode /* = UILaunchMode_Default */)
 {
     /* Switch to machine window(s) if possible: */
@@ -2668,5 +2668,5 @@
 
     /* Not for separate UI (which can connect to machine in any state): */
-    if (enmLaunchMode != UICommon::LaunchMode_Separate)
+    if (enmLaunchMode != UILaunchMode_Separate)
     {
         /* Make sure machine-state is one of required: */
@@ -2710,8 +2710,8 @@
     AssertReturnVoid(checkUnattendedInstallError(comUnattendedInstaller));
 
-    launchMachine(comMachine, fStartHeadless ? UICommon::LaunchMode_Headless : UICommon::LaunchMode_Default);
-}
-
-void UIVirtualBoxManager::performStartOrShowVirtualMachines(const QList<UIVirtualMachineItem*> &items, UICommon::LaunchMode enmLaunchMode)
+    launchMachine(comMachine, fStartHeadless ? UILaunchMode_Headless : UILaunchMode_Default);
+}
+
+void UIVirtualBoxManager::performStartOrShowVirtualMachines(const QList<UIVirtualMachineItem*> &items, UILaunchMode enmLaunchMode)
 {
     /* Do nothing while group saving is in progress: */
@@ -2749,11 +2749,11 @@
             {
                 /* Fetch item launch mode: */
-                UICommon::LaunchMode enmItemLaunchMode = enmLaunchMode;
-                if (enmItemLaunchMode == UICommon::LaunchMode_Invalid)
+                UILaunchMode enmItemLaunchMode = enmLaunchMode;
+                if (enmItemLaunchMode == UILaunchMode_Invalid)
                     enmItemLaunchMode = pItem->isItemRunningHeadless()
-                                      ? UICommon::LaunchMode_Separate
+                                      ? UILaunchMode_Separate
                                       : qApp->keyboardModifiers() == Qt::ShiftModifier
-                                      ? UICommon::LaunchMode_Headless
-                                      : UICommon::LaunchMode_Default;
+                                      ? UILaunchMode_Headless
+                                      : UILaunchMode_Default;
                 /* Acquire local machine: */
                 CMachine machine = pItem->toLocal()->machine();
Index: /trunk/src/VBox/Frontends/VirtualBox/src/manager/UIVirtualBoxManager.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/manager/UIVirtualBoxManager.h	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/manager/UIVirtualBoxManager.h	(revision 98335)
@@ -398,5 +398,5 @@
         void openNewMachineWizard(const QString &strISOFilePath = QString());
         /** Launches certain @a comMachine in specified @a enmLaunchMode. */
-        static void launchMachine(CMachine &comMachine, UICommon::LaunchMode enmLaunchMode = UICommon::LaunchMode_Default);
+        static void launchMachine(CMachine &comMachine, UILaunchMode enmLaunchMode = UILaunchMode_Default);
         /** Launches certain @a comMachine. */
         static void launchMachine(CCloudMachine &comMachine);
@@ -406,5 +406,5 @@
 
         /** Launches or shows virtual machines represented by passed @a items in corresponding @a enmLaunchMode (for launch). */
-        void performStartOrShowVirtualMachines(const QList<UIVirtualMachineItem*> &items, UICommon::LaunchMode enmLaunchMode);
+        void performStartOrShowVirtualMachines(const QList<UIVirtualMachineItem*> &items, UILaunchMode enmLaunchMode);
 
 #ifndef VBOX_WS_WIN
Index: /trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp	(revision 98335)
@@ -1964,5 +1964,5 @@
 *********************************************************************************************************************************/
 
-UINotificationProgressMachinePowerUp::UINotificationProgressMachinePowerUp(const CMachine &comMachine, UICommon::LaunchMode enmLaunchMode)
+UINotificationProgressMachinePowerUp::UINotificationProgressMachinePowerUp(const CMachine &comMachine, UILaunchMode enmLaunchMode)
     : m_comMachine(comMachine)
     , m_enmLaunchMode(enmLaunchMode)
@@ -2019,7 +2019,7 @@
     switch (m_enmLaunchMode)
     {
-        case UICommon::LaunchMode_Default:  strType = ""; break;
-        case UICommon::LaunchMode_Separate: strType = "separate"; break;
-        case UICommon::LaunchMode_Headless: strType = "headless"; break;
+        case UILaunchMode_Default:  strType = ""; break;
+        case UILaunchMode_Separate: strType = "separate"; break;
+        case UILaunchMode_Headless: strType = "headless"; break;
         default: AssertFailedReturn(CProgress());
     }
@@ -2028,5 +2028,5 @@
     CProgress comProgress = m_comMachine.LaunchVMProcess(m_comSession, strType, astrEnv);
 //    /* If the VM is started separately and the VM process is already running, then it is OK. */
-//    if (m_enmLaunchMode == UICommon::LaunchMode_Separate)
+//    if (m_enmLaunchMode == UILaunchMode_Separate)
 //    {
 //        const KMachineState enmState = comMachine.GetState();
Index: /trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h	(revision 98335)
@@ -983,5 +983,5 @@
     /** Constructs machine power-up notification-progress.
       * @param  comMachine  Brings the machine being powered-up. */
-    UINotificationProgressMachinePowerUp(const CMachine &comMachine, UICommon::LaunchMode enmLaunchMode);
+    UINotificationProgressMachinePowerUp(const CMachine &comMachine, UILaunchMode enmLaunchMode);
 
 protected:
@@ -1002,11 +1002,11 @@
 
     /** Holds the machine being powered-up. */
-    CMachine              m_comMachine;
+    CMachine      m_comMachine;
     /** Holds the launch mode. */
-    UICommon::LaunchMode  m_enmLaunchMode;
+    UILaunchMode  m_enmLaunchMode;
     /** Holds the session being opened. */
-    CSession              m_comSession;
+    CSession      m_comSession;
     /** Holds the machine name. */
-    QString               m_strName;
+    QString       m_strName;
 };
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIMachine.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIMachine.cpp	(revision 98334)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIMachine.cpp	(revision 98335)
@@ -91,5 +91,5 @@
 
         /* Try to launch corresponding machine: */
-        if (!UICommon::launchMachine(machine, UICommon::LaunchMode_Separate))
+        if (!UICommon::launchMachine(machine, UILaunchMode_Separate))
             return false;
     }