Index: /trunk/src/VBox/HostDrivers/Support/win/VBoxSup.inf
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/win/VBoxSup.inf	(revision 98335)
+++ /trunk/src/VBox/HostDrivers/Support/win/VBoxSup.inf	(revision 98336)
@@ -59,18 +59,18 @@
 DelService=VBoxSup,0x00000200
 
-;; This doesn't actually work either (see VBoxUSBMon), though it triggers in the
+;; This does not actually work either (see VBoxUSBMon), though it triggers in the
 ;; installer rather at manual installation on my test system (could be polluted & confused).
 ;; This may apparently also causes unloading trouble due to 'root\VBoxSup' or something related to that.
 ;; [Manufacturer]
-;; %ORACLE%=Oracle@COMMA-NT-ARCH@
+;; %ORACLE%=VBoxSup@COMMA-NT-ARCH@
 ;;
 ;; ; Models section (referenced by [Manufacturer]).
-;; [Oracle@DOT-NT-ARCH@]
-;; %VBoxSup.DRVDESC%=VBoxSupInstall,root\VBoxSup
+;; [VBoxSup@DOT-NT-ARCH@]
+;; %VBoxSup.DRVDESC%=VBoxSup_Install,root\VBoxSup
 ;;
-;; [VBoxSupInstall@DOT-NT-ARCH@]
+;; [VBoxSup_Install@DOT-NT-ARCH@]
 ;; CopyFiles=VBoxSup_CopyFiles
 ;;
-;; [VBoxSupInstall@DOT-NT-ARCH@.Services]
+;; [VBoxSup_Install@DOT-NT-ARCH@.Services]
 ;; AddService=VBoxSup,0x00000002,VBoxSup_Service
 
Index: /trunk/src/VBox/HostDrivers/VBoxNetAdp/win/VBoxNetAdp6.inf
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetAdp/win/VBoxNetAdp6.inf	(revision 98335)
+++ /trunk/src/VBox/HostDrivers/VBoxNetAdp/win/VBoxNetAdp6.inf	(revision 98336)
@@ -42,20 +42,14 @@
 Class       = Net
 ClassGUID   = {4D36E972-E325-11CE-BFC1-08002BE10318}
-Provider    = %Provider%
+Provider    = %ORACLE%
 ;edit-DriverVer=10/23/2014,1.0.1.0
 
 
 [Manufacturer]
-%Provider% = VBox,NTx86,NTamd64
+%ORACLE% = VBoxNetAdp6@COMMA-NT-ARCH@
 
 [ControlFlags]
 
-[VBox]
-%VBoxNetAdp6_Desc% = VBoxNetAdp6.ndi, sun_VBoxNetAdp
-
-[VBox.NTx86]
-%VBoxNetAdp6_Desc% = VBoxNetAdp6.ndi, sun_VBoxNetAdp
-
-[VBox.NTamd64]
+[VBoxNetAdp6@DOT-NT-ARCH@]
 %VBoxNetAdp6_Desc% = VBoxNetAdp6.ndi, sun_VBoxNetAdp
 
@@ -101,5 +95,5 @@
 
 [Strings]
-Provider = "Oracle Corporation"
+ORACLE = "Oracle Corporation"
 DiskDescription = "VirtualBox NDIS 6.0 Miniport Driver"
 VBoxNetAdp6_Desc = "VirtualBox Host-Only Ethernet Adapter"
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetAdp.inf
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetAdp.inf	(revision 98335)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetAdp.inf	(revision 98336)
@@ -40,5 +40,5 @@
 Class      = Net
 ClassGUID  = {4d36e972-e325-11ce-bfc1-08002be10318}
-Provider   = %Provider%
+Provider   = %ORACLE%
 ; DriverPackageType=Network
 ; DriverPackageDisplayName=%VBoxNetAdp_Desc%
@@ -59,16 +59,7 @@
 
 [Manufacturer]
-%Provider% = VBox,NTx86,NTia64,NTamd64
+%ORACLE% = VBoxNetAdp@COMMA-NT-ARCH@
 
-[VBox]
-%VBoxNetAdp_Desc% = VBoxNetAdp.ndi, sun_VBoxNetAdp
-
-[VBox.NTx86]
-%VBoxNetAdp_Desc% = VBoxNetAdp.ndi, sun_VBoxNetAdp
-
-[VBox.NTia64]
-%VBoxNetAdp_Desc% = VBoxNetAdp.ndi, sun_VBoxNetAdp
-
-[VBox.NTamd64]
+[VBoxNetAdp@DOT-NT-ARCH@]
 %VBoxNetAdp_Desc% = VBoxNetAdp.ndi, sun_VBoxNetAdp
 
@@ -99,5 +90,5 @@
 
 [Strings]
-Provider = "Oracle Corporation"
+ORACLE = "Oracle Corporation"
 VBoxNetAdp_Desc = "VirtualBox Host-Only Ethernet Adapter"
 DiskDescription = "VirtualBox Host-Only Ethernet Adapter"
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFlt.inf
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFlt.inf	(revision 98335)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFlt.inf	(revision 98336)
@@ -40,5 +40,5 @@
 Class      = NetService
 ClassGUID  = {4D36E974-E325-11CE-BFC1-08002BE10318}
-Provider   = %Provider%
+Provider   = %ORACLE%
 ;DriverPackageType=Network
 ;DriverPackageDisplayName=%VBoxNetFlt_Desc%
@@ -47,15 +47,9 @@
 
 [Manufacturer]
-%Provider% = VBox,NTx86,NTamd64
+%ORACLE% = VBoxNetFlt@COMMA-NT-ARCH@
 
 [ControlFlags]
 
-[VBox]
-%VBoxNetFlt_Desc% = VBoxNetFlt.ndi, sun_VBoxNetFlt
-
-[VBox.NTx86]
-%VBoxNetFlt_Desc% = VBoxNetFlt.ndi, sun_VBoxNetFlt
-
-[VBox.NTamd64]
+[VBoxNetFlt@DOT-NT-ARCH@]
 %VBoxNetFlt_Desc% = VBoxNetFlt.ndi, sun_VBoxNetFlt
 
@@ -117,5 +111,5 @@
 
 [Strings]
-Provider = "Oracle Corporation"
+ORACLE = "Oracle Corporation"
 DiskDescription = "VirtualBox Bridged Networking Driver"
 VBoxNetFlt_Desc = "VirtualBox Bridged Networking Driver"
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltM.inf
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltM.inf	(revision 98335)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetFltM.inf	(revision 98336)
@@ -40,5 +40,5 @@
 Class      = Net
 ClassGUID  = {4d36e972-e325-11ce-bfc1-08002be10318}
-Provider   = %Provider%
+Provider   = %ORACLE%
 ;DriverPackageType=NdisImMiniport
 ;DriverPackageDisplayName=%VBoxNetFltMP_Desc%
@@ -53,13 +53,7 @@
 
 [Manufacturer]
-%Provider% = VBox,NTx86,NTamd64
+%ORACLE% = VBoxNetFltMP@COMMA-NT-ARCH@
 
-[VBox]
-%VBoxNetFltMP_Desc% = VBoxNetFltMP.ndi, sun_VBoxNetFltmp
-
-[VBox.NTx86]
-%VBoxNetFltMP_Desc% = VBoxNetFltMP.ndi, sun_VBoxNetFltmp
-
-[VBox.NTamd64]
+[VBoxNetFltMP@DOT-NT-ARCH@]
 %VBoxNetFltMP_Desc% = VBoxNetFltMP.ndi, sun_VBoxNetFltmp
 
@@ -80,5 +74,5 @@
 
 [Strings]
-Provider = "Oracle Corporation"
+ORACLE = "Oracle Corporation"
 VBoxNetFltMP_Desc = "VirtualBox Bridged Networking Driver Miniport"
 
Index: /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetLwf.inf
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetLwf.inf	(revision 98335)
+++ /trunk/src/VBox/HostDrivers/VBoxNetFlt/win/drv/VBoxNetLwf.inf	(revision 98336)
@@ -40,20 +40,14 @@
 Class       = NetService
 ClassGUID   = {4D36E974-E325-11CE-BFC1-08002BE10318}
-Provider    = %Provider%
+Provider    = %ORACLE%
 ;edit-DriverVer=10/23/2014,1.0.1.0
 
 
 [Manufacturer]
-%Provider% = VBox,NTx86,NTamd64
+%ORACLE% = VBoxNetLwf@COMMA-NT-ARCH@
 
 [ControlFlags]
 
-[VBox]
-%VBoxNetLwf_Desc% = VBoxNetLwf.ndi, oracle_VBoxNetLwf
-
-[VBox.NTx86]
-%VBoxNetLwf_Desc% = VBoxNetLwf.ndi, oracle_VBoxNetLwf
-
-[VBox.NTamd64]
+[VBoxNetLwf@DOT-NT-ARCH@]
 %VBoxNetLwf_Desc% = VBoxNetLwf.ndi, oracle_VBoxNetLwf
 
@@ -120,5 +114,5 @@
 
 [Strings]
-Provider = "Oracle Corporation"
+ORACLE = "Oracle Corporation"
 DiskDescription = "VirtualBox NDIS6 Bridged Networking Driver"
 VBoxNetLwf_Desc = "VirtualBox NDIS6 Bridged Networking Driver"
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUSB.inf
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUSB.inf	(revision 98335)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUSB.inf	(revision 98336)
@@ -50,9 +50,7 @@
 
 [Manufacturer]
-;x86   %MfgName%=ORACLE
-;amd64 %MfgName%=ORACLE, NTamd64
+%ORACLE%=VBoxUSB@COMMA-NT-ARCH@
 
-;x86   [ORACLE]
-;amd64 [ORACLE.NTamd64]
+[VBoxUSB@DOT-NT-ARCH@]
 %USB\VID_80EE&PID_CAFE.DeviceDesc%=VBoxUSB.Dev, USB\VID_80EE&PID_CAFE
 
@@ -86,5 +84,4 @@
 [Strings]
 ORACLE="Oracle Corporation"
-MfgName="Oracle Corporation"
 Disk_Description="VBoxUSB Installation Disk"
 USB\VID_80EE&PID_CAFE.DeviceDesc="VirtualBox USB"
Index: /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUSBMon.inf
===================================================================
--- /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUSBMon.inf	(revision 98335)
+++ /trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUSBMon.inf	(revision 98336)
@@ -55,14 +55,14 @@
 ;; Cannot get this to work (same works fine for VBoxDrv):
 ;; [Manufacturer]
-;; %ORACLE%=Oracle@COMMA-NT-ARCH@
+;; %ORACLE%=VBoxUSBMon@COMMA-NT-ARCH@
 ;;
 ;; ; Models section (referenced by [Manufacturer]).
-;; [Oracle@DOT-NT-ARCH@]
-;; %VBoxUSBMon.DRVDESC%=VBoxUSBMonInstall,root\VBoxUSBMon
+;; [VBoxUSBMon@DOT-NT-ARCH@]
+;; %VBoxUSBMon.DRVDESC%=VBoxUSBMon_Install,root\VBoxUSBMon
 ;;
-;; [VBoxUSBMonInstall@DOT-NT-ARCH@]
+;; [VBoxUSBMon_Install@DOT-NT-ARCH@]
 ;; CopyFiles=VBoxUSBMon_CopyFiles
 ;;
-;; [VBoxUSBMonInstall@DOT-NT-ARCH@.Services]
+;; [VBoxUSBMon_Install@DOT-NT-ARCH@.Services]
 ;; AddService=VBoxUSBMon,0x00000002,VBoxUSBMon_Service,VBoxUSBMon_AddEventLog
 
Index: /trunk/src/VBox/Installer/win/Scripts/VBoxExtPackPuel.inf
===================================================================
--- /trunk/src/VBox/Installer/win/Scripts/VBoxExtPackPuel.inf	(revision 98335)
+++ /trunk/src/VBox/Installer/win/Scripts/VBoxExtPackPuel.inf	(revision 98336)
@@ -44,18 +44,18 @@
 [DestinationDirs]
 DefaultDestDir = 12
-VBoxExtPackPuelInstall.Files = 12
+VBoxExtPackPuel_Install.Files = 12
 
 [Manufacturer]
-;x86 %ORACLE%=VBoxExtPackPuel
-;amd64 %ORACLE%=VBoxExtPackPuel, NTamd64
+%ORACLE%=VBoxExtPackPuel@COMMA-NT-ARCH@
 
-;x86 [VBoxExtPackPuel]
-;amd64 [VBoxExtPackPuel.NTamd64]
-%VBoxExtPackPuel.DrvDesc% = VBoxExtPackPuelInstall, root\VBoxExtPackPuel
+[VBoxExtPackPuel@DOT-NT-ARCH@]
+%VBoxExtPackPuel.DrvDesc% = VBoxExtPackPuel_Install, root\VBoxExtPackPuel
 
-[VBoxExtPackPuelInstall]
-CopyFiles = VBoxExtPackPuelInstall.Files
+[VBoxExtPackPuel_Install]
+CopyFiles = VBoxExtPackPuel_CopyFiles
 
-[VBoxExtPackPuelInstall.Files]
+[VBoxExtPackPuel_Install.Services]
+
+[VBoxExtPackPuel_CopyFiles]
 ;VBoxEhciR0.r0,,,2
 VBoxNvmeR0.r0,,,2
Index: /trunk/src/VBox/Installer/win/Scripts/VMMR0.inf
===================================================================
--- /trunk/src/VBox/Installer/win/Scripts/VMMR0.inf	(revision 98335)
+++ /trunk/src/VBox/Installer/win/Scripts/VMMR0.inf	(revision 98336)
@@ -43,5 +43,5 @@
 [DestinationDirs]
 DefaultDestDir = 12
-VBoxVMMInstall.Files = 12
+VBoxVMM_Install.Files = 12
 
 [Manufacturer]
@@ -49,10 +49,12 @@
 
 [VBoxVMM@DOT-NT-ARCH@]
-%VBoxVMM.DrvDesc% = VBoxVMMInstall, root\VBoxVMM
+%VBoxVMM.DrvDesc% = VBoxVMM_Install, root\VBoxVMM
 
-[VBoxVMMInstall]
-CopyFiles = VBoxVMMInstall.Files
+[VBoxVMM_Install]
+CopyFiles = VBoxVMM_CopyFiles
 
-[VBoxVMMInstall.Files]
+[VBoxVMM_Install.Services]
+
+[VBoxVMM_CopyFiles]
 VMMR0.r0,,,2
 VBoxDDR0.r0,,,2